require("./ActionButton.css");
var $7a26131f6144af2b$exports = require("./ActionButtonGroup.cjs");
var $38071d9ce246d4cf$exports = require("./Avatar.cjs");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $cd7301fb33ba8690$exports = require("./NotificationBadge.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $5eb75e0c130e0669$exports = require("../icons/Skeleton.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $9ZEgK$reactjsxruntime = require("react/jsx-runtime");
var $9ZEgK$reactariacomponents = require("react-aria-components");
var $9ZEgK$react = require("react");
var $9ZEgK$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "btnStyles", () => $6e265ff388155b91$export$446543cff2a0f496);
$parcel$export(module.exports, "ActionButtonContext", () => $6e265ff388155b91$export$2ff682723a46d413);
$parcel$export(module.exports, "ActionButton", () => $6e265ff388155b91$export$cfc7921d29ef7b80);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 













// These styles handle both ActionButton and ToggleButton
const $6e265ff388155b91$var$iconOnly = ':has([slot=icon], [slot=avatar]):not(:has([data-rsp-slot=text]))';
const $6e265ff388155b91$var$textOnly = ':has([data-rsp-slot=text]):not(:has([slot=icon], [slot=avatar]))';
const $6e265ff388155b91$var$controlStyle = {
    font: {
        "default": "ui",
        size: {
            XS: "ui-xs",
            S: "ui-sm",
            L: "ui-lg",
            XL: "ui-xl"
        }
    },
    display: "flex",
    alignItems: "center",
    boxSizing: "border-box",
    paddingX: {
        "default": "edge-to-text",
        ":has([slot=icon]):not(:has([data-rsp-slot=text]))": 0
    },
    minWidth: {
        "default": 32,
        size: {
            XS: 20,
            S: 24,
            L: 40,
            XL: 48
        }
    },
    "--size": {
        type: "order",
        value: {
            "default": 1,
            size: {
                XS: 0.7901234567901234,
                S: 0.8888888888888888,
                L: 1.125,
                XL: 1.265625
            }
        }
    },
    "--radius": {
        type: "borderTopStartRadius",
        value: "default"
    },
    borderRadius: "round(var(--radius) * var(--size), 1px)",
    columnGap: "text-to-visual",
    "--iconMargin": {
        type: "marginStart",
        value: {
            "default": "[-0.14285714285714285em]",
            ":has([slot=icon]):not(:has([data-rsp-slot=text]))": 0
        }
    },
    height: {
        "default": 32,
        size: {
            XS: 20,
            S: 24,
            L: 40,
            XL: 48
        }
    }
};
const $6e265ff388155b91$export$446543cff2a0f496 = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let flexShrink = false;
    let flexGrow = false;
    let flexBasis = false;
    let zIndex = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        if (p[1] === "_v") flexShrink = true;
        if (p[1] === "_u") flexGrow = true;
        if (p[1] === "_s") flexBasis = true;
        if (p[1] === "_9") zIndex = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    if (props.isStaticColor) rules += ' Oe9';
    else rules += ' Oh9';
    rules += ' Olc9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr9';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' wc9';
    rules += ' xc9';
    rules += ' _xa9';
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isStaticColor) {
        if (props.isDisabled) rules += ' pi9';
        else if (props.isSelected) rules += ' ph9';
        else {
            if (props.isPressed) rules += ' pk9';
            else if (props.isFocusVisible) rules += ' pk9';
            else if (props.isHovered) rules += ' pk9';
            else rules += ' pj9';
        }
    } else if (props.isDisabled) rules += ' pp9';
    else if (props.isSelected) {
        if (props.isEmphasized) rules += ' px9';
        else rules += ' pr9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    if (props.isDisabled) rules += ' plc9';
    else if (props.isSelected) rules += ' ple9';
    else rules += ' plb9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _oa9';
    rules += ' SMBFGYc9';
    rules += ' Rv9';
    rules += ' RgLWx3bd9';
    if (!minWidth) rules += ' N7yFGYc9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    if (props.density === "compact") {
        rules += ' od9';
        rules += ' obj9';
    } else rules += ' oj9';
    if (props.density === "compact") {
        if (props.orientation === "vertical") rules += ' nbj9';
        else if (props.orientation === "horizontal") rules += ' nkj9';
        else rules += ' nd9';
    } else rules += ' nj9';
    if (props.density === "compact") {
        if (props.orientation === "vertical") rules += ' kkj9';
        else if (props.orientation === "horizontal") rules += ' kbj9';
        else rules += ' kd9';
    } else rules += ' kj9';
    if (props.density === "compact") {
        rules += ' jd9';
        rules += ' jkj9';
    } else rules += ' jj9';
    rules += ' qc9';
    rules += ' qsd9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' FRuFGYc9';
    rules += ' _Ca9';
    if (props.isInGroup) {
        if (!flexShrink) rules += ' _va9';
    } else if (!flexShrink) rules += ' _vb9';
    if (props.isJustified) {
        if (!flexGrow) rules += ' _ub9';
    }
    if (props.isJustified) {
        if (!flexBasis) rules += ' _sb9';
    }
    rules += ' _4c9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' _yb9';
    rules += ' gqMFGYc9';
    rules += ' -_8sjo0b-t5ZbAob9';
    rules += ' _je9';
    if (props.isFocusVisible) {
        if (!zIndex) rules += ' _9d9';
    }
    rules += ' __ca9';
    rules += ' -B5H9Ae-WXN7eQb9';
    rules += ' -B5H9Ae-wAP22cWr9';
    rules += ' -SqFa4c-ZuUmpre9';
    rules += ' -dcAs1c-ZaYffXd9';
    rules += ' -dcAs1c-y5UFLdZt9HF59';
    rules += ' -dcAs1c-wAP22cZa9';
    if (props.size === "XL") rules += ' -F_-Fz9';
    else if (props.size === "L") rules += ' -F_-Fv9';
    else if (props.size === "S") rules += ' -F_-Fp9';
    else if (props.size === "XS") rules += ' -F_-Fn9';
    else rules += ' -F_-Fx9';
    if (props.isStaticColor) {
        if (props.isSelected) {
            if (props.isDisabled) {
                if (props.isQuiet) rules += ' -g_-g99';
                else rules += ' -g_-gf9';
            } else {
                if (props.isPressed) rules += ' -g_-gj9';
                else if (props.isFocusVisible) rules += ' -g_-gj9';
                else if (props.isHovered) rules += ' -g_-gj9';
                else rules += ' -g_-gi9';
            }
        } else if (props.isPressed) rules += ' -g_-gg9';
        else if (props.isFocusVisible) rules += ' -g_-gg9';
        else if (props.isHovered) rules += ' -g_-gg9';
        else if (props.isQuiet) rules += ' -g_-g99';
        else rules += ' -g_-gf9';
    } else if (props.isSelected) {
        if (props.isDisabled) {
            if (props.isQuiet) rules += ' -g_-g99';
            else rules += ' -g_-gH9';
        } else if (props.isEmphasized) {
            if (props.isFocused) rules += ' -g_-gUgARdd9';
            else if (props.isPressed) rules += ' -g_-gUgARdd9';
            else if (props.isHovered) rules += ' -g_-gUgARdd9';
            else rules += ' -g_-g5qAiPc9';
        } else {
            if (props.isPressed) rules += ' -g_-gu9';
            else if (props.isFocusVisible) rules += ' -g_-gu9';
            else if (props.isHovered) rules += ' -g_-gu9';
            else rules += ' -g_-g09';
        }
    } else {
        if (props.isPressed) rules += ' -g_-gF9';
        else if (props.isFocusVisible) rules += ' -g_-gF9';
        else if (props.isHovered) rules += ' -g_-gF9';
        else if (props.isQuiet) rules += ' -g_-g99';
        else rules += ' -g_-gH9';
    }
    if (props.isSelected) {
        if (props.isDisabled) rules += ' -g_-lgb9';
        else rules += ' -g_-lge9';
    } else rules += ' -g_-lgb9';
    rules += ' -S_-Sv9';
    rules += ' -S_-gLWx3bSd9';
    if (props.size === "XL") rules += ' -N_-Nl9';
    else if (props.size === "L") rules += ' -N_-Nj9';
    else if (props.size === "S") rules += ' -N_-Nf9';
    else if (props.size === "XS") rules += ' -N_-Ne9';
    else rules += ' -N_-Nk9';
    return rules;
};
// Matching icon sizes. TBD.
const $6e265ff388155b91$var$avatarSize = {
    XS: 14,
    S: 16,
    M: 20,
    L: 22,
    X: 26
};
const $6e265ff388155b91$export$2ff682723a46d413 = /*#__PURE__*/ (0, $9ZEgK$react.createContext)(null);
const $6e265ff388155b91$export$cfc7921d29ef7b80 = /*#__PURE__*/ (0, $9ZEgK$react.forwardRef)(function ActionButton(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $6e265ff388155b91$export$2ff682723a46d413);
    props = (0, $bfa4962d90c8af48$exports.useFormProps)(props);
    let domRef = (0, $9ZEgK$reactspectrumutils.useFocusableRef)(ref);
    let overlayTriggerState = (0, $9ZEgK$react.useContext)((0, $9ZEgK$reactariacomponents.OverlayTriggerStateContext));
    let ctx = (0, $9ZEgK$reactariacomponents.useSlottedContext)((0, $7a26131f6144af2b$exports.ActionButtonGroupContext));
    let isInGroup = !!ctx;
    let { density: density = 'regular', isJustified: isJustified, orientation: orientation = 'horizontal', staticColor: staticColor = props.staticColor, isQuiet: isQuiet = props.isQuiet, size: size = props.size || 'M', isDisabled: isDisabled = props.isDisabled } = ctx || {};
    return /*#__PURE__*/ (0, $9ZEgK$reactjsxruntime.jsx)((0, $9ZEgK$reactariacomponents.Button), {
        ...props,
        isDisabled: isDisabled,
        ref: domRef,
        style: (0, $2061c83559b50a66$exports.pressScale)(domRef, props.UNSAFE_style),
        className: (renderProps)=>(props.UNSAFE_className || '') + $6e265ff388155b91$export$446543cff2a0f496({
                ...renderProps,
                // Retain hover styles when an overlay is open.
                isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                staticColor: staticColor,
                isStaticColor: !!staticColor,
                size: size,
                isQuiet: isQuiet,
                density: density,
                isJustified: isJustified,
                orientation: orientation,
                isInGroup: isInGroup
            }, props.styles),
        children: /*#__PURE__*/ (0, $9ZEgK$reactjsxruntime.jsx)((0, $9ZEgK$reactariacomponents.Provider), {
            values: [
                [
                    (0, $5eb75e0c130e0669$exports.SkeletonContext),
                    null
                ],
                [
                    (0, $6367bc87eb7d24ad$exports.TextContext),
                    {
                        styles: " _Jb9 _Nc9 Pc9 _Yb9 _7c9"
                    }
                ],
                [
                    (0, $bde97c91243ed164$exports.IconContext),
                    {
                        render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                            slot: 'icon',
                            styles: " _Ja9"
                        }),
                        styles: " ZuUmpre9 FuUmpre9 I67logd9 _va9"
                    }
                ],
                [
                    (0, $38071d9ce246d4cf$exports.AvatarContext),
                    {
                        size: $6e265ff388155b91$var$avatarSize[size],
                        styles: " I67logd9 _va9 _Ja9"
                    }
                ],
                [
                    (0, $cd7301fb33ba8690$exports.NotificationBadgeContext),
                    {
                        staticColor: staticColor,
                        size: props.size === 'XS' ? undefined : props.size,
                        isDisabled: props.isDisabled,
                        styles: " _Pa9 WtedXZc9 _A1IiWH9 JlZStSb9 IlZStSb9"
                    }
                ]
            ],
            children: typeof props.children === 'string' ? /*#__PURE__*/ (0, $9ZEgK$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                children: props.children
            }) : props.children
        })
    });
});


//# sourceMappingURL=ActionButton.cjs.map
