import "./Button.css";
import {centerBaseline as $1f4b04be3f24aae3$export$9d7e2342a7e53afa} from "./CenterBaseline.mjs";
import {IconContext as $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed} from "../icons/Icon.mjs";
import $7BBHC$intlStringsmjs from "./intlStrings.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {ProgressCircle as $41ddd91dbbf0c389$export$c79b9d6b4cc92af7} from "./ProgressCircle.mjs";
import {SkeletonContext as $5ad421ec19460c48$export$74e166679b1f49ee} from "../icons/Skeleton.mjs";
import {Text as $8e847109a6ab556d$export$5f1af8db9871e1d6, TextContext as $8e847109a6ab556d$export$9afb8bc826b033ea} from "./Content.mjs";
import {useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $7BBHC$jsx, jsxs as $7BBHC$jsxs, Fragment as $7BBHC$Fragment} from "react/jsx-runtime";
import {OverlayTriggerStateContext as $7BBHC$OverlayTriggerStateContext, Button as $7BBHC$Button, Provider as $7BBHC$Provider, Link as $7BBHC$Link} from "react-aria-components";
import {createContext as $7BBHC$createContext, forwardRef as $7BBHC$forwardRef, useContext as $7BBHC$useContext, useState as $7BBHC$useState, useEffect as $7BBHC$useEffect} from "react";
import {useFocusableRef as $7BBHC$useFocusableRef} from "@react-spectrum/utils";
import {useLocalizedStringFormatter as $7BBHC$useLocalizedStringFormatter} from "@react-aria/i18n";


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 













const $067ea9f64ccd4e8e$export$24d547caef80ccd1 = /*#__PURE__*/ (0, $7BBHC$createContext)(null);
const $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3 = /*#__PURE__*/ (0, $7BBHC$createContext)(null);
const $067ea9f64ccd4e8e$var$button = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let position = false;
    let width = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        if (p[1] === "_P") position = true;
        if (p[1] === "Z") width = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    if (props.isStaticColor) rules += ' Oe9';
    else rules += ' Oh9';
    rules += ' Olc9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr9';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' wd9';
    rules += ' xd9';
    rules += ' _xa9';
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isStaticColor) {
        if (props.isDisabled) rules += ' pi9';
        else if (props.fillStyle === "outline") {
            if (props.variant === "genai") rules += ' px9';
            else if (props.variant === "premium") rules += ' px9';
            else {
                if (props.isPressed) rules += ' pk9';
                else if (props.isFocusVisible) rules += ' pk9';
                else if (props.isHovered) rules += ' pk9';
                else rules += ' pj9';
            }
        } else if (props.fillStyle === "fill") {
            if (props.variant === "genai") rules += ' px9';
            else if (props.variant === "premium") rules += ' px9';
            else if (props.variant === "secondary") {
                if (props.isPressed) rules += ' pk9';
                else if (props.isFocusVisible) rules += ' pk9';
                else if (props.isHovered) rules += ' pk9';
                else rules += ' pj9';
            } else if (props.variant === "primary") rules += ' ph9';
        }
    } else if (props.fillStyle === "outline") {
        if (props.isDisabled) rules += ' pp9';
        else if (props.variant === "genai") rules += ' px9';
        else if (props.variant === "premium") rules += ' px9';
        else {
            if (props.isPressed) rules += ' po9';
            else if (props.isFocusVisible) rules += ' po9';
            else if (props.isHovered) rules += ' po9';
            else rules += ' pt9';
        }
    } else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' pp9';
        else if (props.variant === "genai") rules += ' px9';
        else if (props.variant === "premium") rules += ' px9';
        else if (props.variant === "negative") rules += ' px9';
        else if (props.variant === "accent") rules += ' px9';
        else if (props.variant === "secondary") {
            if (props.isPressed) rules += ' po9';
            else if (props.isFocusVisible) rules += ' po9';
            else if (props.isHovered) rules += ' po9';
            else rules += ' pt9';
        } else if (props.variant === "primary") rules += ' pr9';
    }
    if (props.fillStyle === "outline") {
        if (props.isDisabled) rules += ' plc9';
        else rules += ' plb9';
    } else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' ple9';
        else rules += ' pla9';
    }
    rules += ' sd9';
    rules += ' ea9';
    rules += ' egLWx3bb9';
    rules += ' _oa9';
    rules += ' Sw9';
    rules += ' SgLWx3bd9';
    rules += ' Rw9';
    rules += ' RgLWx3bd9';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl9';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj9';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf9';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne9';
    } else if (!minWidth) rules += ' Nk9';
    rules += ' oh9';
    rules += ' nh9';
    rules += ' kh9';
    rules += ' jh9';
    rules += ' qc9';
    rules += ' qsd9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' MAyFGYc9';
    rules += ' Td9';
    rules += ' Qd9';
    rules += ' -aRvJDd-Tu7Fubd9';
    if (!position) rules += ' _Pc9';
    rules += ' _Ca9';
    rules += ' _Wd9';
    rules += ' _4c9';
    if (!width) rules += ' ZJ9';
    rules += ' _Xa9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' _jf9';
    rules += ' _kJ8iPYd9';
    rules += ' hXMFGYc9';
    if (props.variant === "genai") rules += ' ma9';
    else if (props.variant === "premium") rules += ' ma9';
    else if (props.fillStyle === "outline") rules += ' mc9';
    else if (props.fillStyle === "fill") rules += ' ma9';
    if (props.variant === "genai") rules += ' la9';
    else if (props.variant === "premium") rules += ' la9';
    else if (props.fillStyle === "outline") rules += ' lc9';
    else if (props.fillStyle === "fill") rules += ' la9';
    if (props.isStaticColor) {
        if (props.isDisabled) rules += ' ig9';
        else if (props.variant === "secondary") {
            if (props.isPressed) rules += ' ih9';
            else if (props.isFocusVisible) rules += ' ih9';
            else if (props.isHovered) rules += ' ih9';
            else rules += ' ig9';
        } else if (props.variant === "primary") {
            if (props.isPressed) rules += ' ij9';
            else if (props.isFocusVisible) rules += ' ij9';
            else if (props.isHovered) rules += ' ij9';
            else rules += ' ii9';
        }
    } else if (props.isDisabled) rules += ' iq9';
    else if (props.variant === "secondary") {
        if (props.isPressed) rules += ' io9';
        else if (props.isFocusVisible) rules += ' io9';
        else if (props.isHovered) rules += ' io9';
        else rules += ' iq9';
    } else if (props.variant === "primary") {
        if (props.isPressed) rules += ' in9';
        else if (props.isFocusVisible) rules += ' in9';
        else if (props.isHovered) rules += ' in9';
        else rules += ' iv9';
    }
    if (props.isDisabled) rules += ' ilc9';
    else if (props.isHovered) rules += ' ild9';
    else rules += ' ila9';
    rules += ' gqMFGYc9';
    rules += ' -_8sjo0b-t5ZbAob9';
    rules += ' _yb9';
    rules += ' __ca9';
    if (props.size === "XL") rules += ' -M_-Mk9';
    else if (props.size === "L") rules += ' -M_-Mh9';
    else if (props.size === "S") rules += ' -M_-Mg9';
    else if (props.size === "XS") rules += ' -M_-Mf9';
    else rules += ' -M_-Mi9';
    if (props.variant === "genai") rules += ' -_k_-_ka9';
    else if (props.variant === "premium") rules += ' -_k_-_ka9';
    else if (props.fillStyle === "outline") rules += ' -_k_-_kc9';
    else if (props.fillStyle === "fill") rules += ' -_k_-_ka9';
    if (props.variant === "genai") rules += ' -h_-ha9';
    else if (props.variant === "premium") rules += ' -h_-ha9';
    else if (props.fillStyle === "outline") rules += ' -h_-hc9';
    else if (props.fillStyle === "fill") rules += ' -h_-ha9';
    if (props.isStaticColor) {
        if (props.fillStyle === "outline") {
            if (props.isDisabled) {
                if (props.variant === "genai") rules += ' -g_-gf9';
                else if (props.variant === "premium") rules += ' -g_-gf9';
                else rules += ' -g_-g99';
            } else if (props.isFocusVisible) rules += ' -g_-gf9';
            else if (props.isPressed) rules += ' -g_-gf9';
            else if (props.isHovered) rules += ' -g_-gf9';
            else if (props.variant === "genai") rules += ' -g_-gf9';
            else if (props.variant === "premium") rules += ' -g_-gf9';
            else rules += ' -g_-g99';
        } else if (props.fillStyle === "fill") {
            if (props.isDisabled) rules += ' -g_-gf9';
            else if (props.variant === "genai") rules += ' -g_-gf9';
            else if (props.variant === "premium") rules += ' -g_-gf9';
            else if (props.variant === "secondary") {
                if (props.isPressed) rules += ' -g_-gg9';
                else if (props.isFocusVisible) rules += ' -g_-gg9';
                else if (props.isHovered) rules += ' -g_-gg9';
                else rules += ' -g_-gf9';
            } else if (props.variant === "primary") {
                if (props.isPressed) rules += ' -g_-gj9';
                else if (props.isFocusVisible) rules += ' -g_-gj9';
                else if (props.isHovered) rules += ' -g_-gj9';
                else rules += ' -g_-gi9';
            }
        }
    } else if (props.fillStyle === "outline") {
        if (props.isDisabled) {
            if (props.variant === "genai") rules += ' -g_-gH9';
            else if (props.variant === "premium") rules += ' -g_-gH9';
            else rules += ' -g_-g99';
        } else if (props.isFocusVisible) rules += ' -g_-gH9';
        else if (props.isPressed) rules += ' -g_-gH9';
        else if (props.isHovered) rules += ' -g_-gH9';
        else if (props.variant === "genai") rules += ' -g_-gH9';
        else if (props.variant === "premium") rules += ' -g_-gH9';
        else rules += ' -g_-g99';
    } else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' -g_-gH9';
        else if (props.variant === "genai") rules += ' -g_-gH9';
        else if (props.variant === "premium") rules += ' -g_-gH9';
        else if (props.variant === "negative") {
            if (props.isFocused) rules += ' -g_-gYvV9s9';
            else if (props.isPressed) rules += ' -g_-gYvV9s9';
            else if (props.isHovered) rules += ' -g_-gYvV9s9';
            else rules += ' -g_-g7aei89';
        } else if (props.variant === "accent") {
            if (props.isFocused) rules += ' -g_-gUgARdd9';
            else if (props.isPressed) rules += ' -g_-gUgARdd9';
            else if (props.isHovered) rules += ' -g_-gUgARdd9';
            else rules += ' -g_-g5qAiPc9';
        } else if (props.variant === "secondary") {
            if (props.isPressed) rules += ' -g_-gF9';
            else if (props.isFocusVisible) rules += ' -g_-gF9';
            else if (props.isHovered) rules += ' -g_-gF9';
            else rules += ' -g_-gH9';
        } else if (props.variant === "primary") {
            if (props.isPressed) rules += ' -g_-gu9';
            else if (props.isFocusVisible) rules += ' -g_-gu9';
            else if (props.isHovered) rules += ' -g_-gu9';
            else rules += ' -g_-g09';
        }
    }
    if (props.fillStyle === "outline") rules += ' -g_-lgb9';
    else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' -g_-lgd9';
        else if (props.isHovered) rules += ' -g_-lge9';
        else rules += ' -g_-lgc9';
    }
    return rules;
};
// Put the gradient background on a separate element from the button to work around a Safari
// bug where transitions of custom properties cause layout flickering if any properties use rems. 🤣
// https://bugs.webkit.org/show_bug.cgi?id=285622
const $067ea9f64ccd4e8e$var$gradient = function anonymous(props) {
    let rules = " ";
    rules += ' _Pa9';
    rules += ' Wr9';
    rules += ' _lr9';
    rules += ' _Ar9';
    rules += ' _zr9';
    rules += ' _9a9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' oi9';
    rules += ' ni9';
    rules += ' ki9';
    rules += ' ji9';
    if (props.isDisabled) rules += ' _ic9';
    else if (props.variant === "genai") {
        if (props.isFocusVisible) {
            rules += ' _ia9';
            rules += ' -yBNtrc-37ZLpd9';
            rules += ' -zBNtrc-plLfSc9';
            rules += ' -ABNtrc-z2bZib9';
            rules += ' -ACNtrc-tQ56Od9';
        } else if (props.isPressed) {
            rules += ' _ia9';
            rules += ' -yBNtrc-37ZLpd9';
            rules += ' -zBNtrc-plLfSc9';
            rules += ' -ABNtrc-z2bZib9';
            rules += ' -ACNtrc-tQ56Od9';
        } else if (props.isHovered) {
            rules += ' _ia9';
            rules += ' -yBNtrc-37ZLpd9';
            rules += ' -zBNtrc-plLfSc9';
            rules += ' -ABNtrc-z2bZib9';
            rules += ' -ACNtrc-tQ56Od9';
        } else {
            rules += ' _ia9';
            rules += ' -yBNtrc-Nitqwc9';
            rules += ' -zBNtrc-ugAmz9';
            rules += ' -ABNtrc-j7ulPc9';
            rules += ' -ACNtrc-tQ56Od9';
        }
    } else if (props.variant === "premium") {
        if (props.isFocusVisible) {
            rules += ' _ib9';
            rules += ' -yBNtrc-1gYRFc9';
            rules += ' -zBNtrc-z2bZib9';
            rules += ' -ABNtrc-BorWLb9';
            rules += ' -ACNtrc-tQ56Od9';
        } else if (props.isPressed) {
            rules += ' _ib9';
            rules += ' -yBNtrc-1gYRFc9';
            rules += ' -zBNtrc-z2bZib9';
            rules += ' -ABNtrc-BorWLb9';
            rules += ' -ACNtrc-tQ56Od9';
        } else if (props.isHovered) {
            rules += ' _ib9';
            rules += ' -yBNtrc-1gYRFc9';
            rules += ' -zBNtrc-z2bZib9';
            rules += ' -ABNtrc-BorWLb9';
            rules += ' -ACNtrc-tQ56Od9';
        } else {
            rules += ' _ib9';
            rules += ' -yBNtrc-X7W3Sb9';
            rules += ' -zBNtrc-j7ulPc9';
            rules += ' -ABNtrc-fHZGqb9';
            rules += ' -ACNtrc-tQ56Od9';
        }
    }
    rules += ' _ilc9';
    if (props.variant === "genai") rules += ' _pb9';
    else if (props.variant === "premium") rules += ' _pb9';
    return rules;
};
const $067ea9f64ccd4e8e$export$353f5b6fc5456de1 = /*#__PURE__*/ (0, $7BBHC$forwardRef)(function Button(props1, ref) {
    [props1, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props1, ref, $067ea9f64ccd4e8e$export$24d547caef80ccd1);
    props1 = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props1);
    let stringFormatter = (0, $7BBHC$useLocalizedStringFormatter)((0, ($parcel$interopDefault($7BBHC$intlStringsmjs))), '@react-spectrum/s2');
    let { isPending: isPending, variant: variant = 'primary', fillStyle: fillStyle = 'fill', size: size = 'M', staticColor: staticColor } = props1;
    let domRef = (0, $7BBHC$useFocusableRef)(ref);
    let overlayTriggerState = (0, $7BBHC$useContext)((0, $7BBHC$OverlayTriggerStateContext));
    let [isProgressVisible, setIsProgressVisible] = (0, $7BBHC$useState)(false);
    (0, $7BBHC$useEffect)(()=>{
        let timeout;
        if (isPending) // Start timer when isPending is set to true.
        timeout = setTimeout(()=>{
            setIsProgressVisible(true);
        }, 1000);
        else // Exit loading state when isPending is set to false. */
        setIsProgressVisible(false);
        return ()=>{
            // Clean up on unmount or when user removes isPending prop before entering loading state.
            clearTimeout(timeout);
        };
    }, [
        isPending
    ]);
    return /*#__PURE__*/ (0, $7BBHC$jsx)((0, $7BBHC$Button), {
        ...props1,
        ref: domRef,
        style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef, props1.UNSAFE_style),
        className: (renderProps)=>(props1.UNSAFE_className || '') + $067ea9f64ccd4e8e$var$button({
                ...renderProps,
                // Retain hover styles when an overlay is open.
                isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                isDisabled: renderProps.isDisabled || isProgressVisible,
                variant: variant,
                fillStyle: fillStyle,
                size: size,
                staticColor: staticColor,
                isStaticColor: !!staticColor
            }, props1.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $7BBHC$jsxs)((0, $7BBHC$Fragment), {
                children: [
                    variant === 'genai' || variant === 'premium' ? /*#__PURE__*/ (0, $7BBHC$jsx)("span", {
                        className: $067ea9f64ccd4e8e$var$gradient({
                            ...renderProps,
                            // Retain hover styles when an overlay is open.
                            isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                            isDisabled: renderProps.isDisabled || isProgressVisible,
                            variant: variant
                        })
                    }) : null,
                    /*#__PURE__*/ (0, $7BBHC$jsxs)((0, $7BBHC$Provider), {
                        values: [
                            [
                                (0, $5ad421ec19460c48$export$74e166679b1f49ee),
                                null
                            ],
                            [
                                (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                                {
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        rules += ' TAzEcG9';
                                        rules += ' QAzEcG9';
                                        rules += ' _Jb9';
                                        if (props.isProgressVisible) rules += ' _Ia9';
                                        else rules += ' _Ib9';
                                        return rules;
                                    }({
                                        isProgressVisible: isProgressVisible
                                    }),
                                    // @ts-ignore data-attributes allowed on all JSX elements, but adding to DOMProps has been problematic in the past
                                    'data-rsp-slot': 'text'
                                }
                            ],
                            [
                                (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                                {
                                    render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                                        slot: 'icon',
                                        styles: " _Ja9"
                                    }),
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        rules += ' ZuUmpre9';
                                        rules += ' FuUmpre9';
                                        rules += ' I67logd9';
                                        rules += ' _va9';
                                        if (props.isProgressVisible) rules += ' _Ia9';
                                        else rules += ' _Ib9';
                                        return rules;
                                    }({
                                        isProgressVisible: isProgressVisible
                                    })
                                }
                            ]
                        ],
                        children: [
                            typeof props1.children === 'string' ? /*#__PURE__*/ (0, $7BBHC$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                                children: props1.children
                            }) : props1.children,
                            isPending && /*#__PURE__*/ (0, $7BBHC$jsx)("div", {
                                className: function anonymous(props) {
                                    let rules = " ";
                                    rules += ' _Pa9';
                                    rules += ' WF9';
                                    rules += ' _EF9';
                                    rules += ' _Zc9';
                                    if (props.isProgressVisible) rules += ' _Ib9';
                                    else rules += ' _Ia9';
                                    return rules;
                                }({
                                    isProgressVisible: isProgressVisible,
                                    isPending: isPending
                                }),
                                children: /*#__PURE__*/ (0, $7BBHC$jsx)((0, $41ddd91dbbf0c389$export$c79b9d6b4cc92af7), {
                                    isIndeterminate: true,
                                    "aria-label": stringFormatter.format('button.pending'),
                                    size: "S",
                                    staticColor: staticColor,
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        if (props.size === "XL") rules += ' Zo9';
                                        else if (props.size === "L") rules += ' Zm9';
                                        else if (props.size === "M") rules += ' Zl9';
                                        else if (props.size === "S") rules += ' Zk9';
                                        if (props.size === "XL") rules += ' Fp9';
                                        else if (props.size === "L") rules += ' Fn9';
                                        else if (props.size === "M") rules += ' Fm9';
                                        else if (props.size === "S") rules += ' Fl9';
                                        return rules;
                                    }({
                                        size: size
                                    })
                                })
                            })
                        ]
                    })
                ]
            })
    });
});
const $067ea9f64ccd4e8e$export$29d11c0fe2fc51d8 = /*#__PURE__*/ (0, $7BBHC$forwardRef)(function LinkButton(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3);
    props = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props);
    let domRef = (0, $7BBHC$useFocusableRef)(ref);
    let overlayTriggerState = (0, $7BBHC$useContext)((0, $7BBHC$OverlayTriggerStateContext));
    return /*#__PURE__*/ (0, $7BBHC$jsx)((0, $7BBHC$Link), {
        ...props,
        ref: domRef,
        style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef, props.UNSAFE_style),
        className: (renderProps)=>(props.UNSAFE_className || '') + $067ea9f64ccd4e8e$var$button({
                ...renderProps,
                // Retain hover styles when an overlay is open.
                isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                variant: props.variant || 'primary',
                fillStyle: props.fillStyle || 'fill',
                size: props.size || 'M',
                staticColor: props.staticColor,
                isStaticColor: !!props.staticColor,
                isPending: false
            }, props.styles),
        children: /*#__PURE__*/ (0, $7BBHC$jsx)((0, $7BBHC$Provider), {
            values: [
                [
                    (0, $5ad421ec19460c48$export$74e166679b1f49ee),
                    null
                ],
                [
                    (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                    {
                        styles: " TAzEcG9 QAzEcG9 _Jb9",
                        // @ts-ignore data-attributes allowed on all JSX elements, but adding to DOMProps has been problematic in the past
                        'data-rsp-slot': 'text'
                    }
                ],
                [
                    (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                    {
                        render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                            slot: 'icon',
                            styles: " _Ja9"
                        }),
                        styles: " ZuUmpre9 FuUmpre9 I67logd9 _va9"
                    }
                ]
            ],
            children: typeof props.children === 'string' ? /*#__PURE__*/ (0, $7BBHC$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                children: props.children
            }) : props.children
        })
    });
});


export {$067ea9f64ccd4e8e$export$24d547caef80ccd1 as ButtonContext, $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3 as LinkButtonContext, $067ea9f64ccd4e8e$export$353f5b6fc5456de1 as Button, $067ea9f64ccd4e8e$export$29d11c0fe2fc51d8 as LinkButton};
//# sourceMappingURL=Button.mjs.map
