import "./Card.css";
import {ActionMenuContext as $8bf3cd2442eb485e$export$7f4b66acaca28bd5} from "./ActionMenu.mjs";
import {AvatarContext as $3ffa2cd930156220$export$a20dad690e1279e2} from "./Avatar.mjs";
import {ButtonContext as $067ea9f64ccd4e8e$export$24d547caef80ccd1, LinkButtonContext as $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3} from "./Button.mjs";
import {Checkbox as $9b405e0f8095dce0$export$48513f6b9f8ce62d} from "./Checkbox.mjs";
import {ContentContext as $8e847109a6ab556d$export$1cbdd774077931b4, FooterContext as $8e847109a6ab556d$export$5630640b68817ed6, TextContext as $8e847109a6ab556d$export$9afb8bc826b033ea} from "./Content.mjs";
import {DividerContext as $bdf52657dac0f070$export$30fbfd376abdf190} from "./Divider.mjs";
import {IllustrationContext as $ac8c32e6775ddd1f$export$207c7561471de4bd} from "../icons/Icon.mjs";
import {ImageContext as $dbd6f0b2503b938c$export$8151eb379fcf2442} from "./Image.mjs";
import {ImageCoordinator as $4b5e069e9e001e8b$export$1b926c015f09611d} from "./ImageCoordinator.mjs";
import {mergeStyles as $feb886035e0d4633$export$e618dc39ac9ad607} from "../icons/runtime.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {SkeletonContext as $5ad421ec19460c48$export$74e166679b1f49ee, SkeletonWrapper as $5ad421ec19460c48$export$6069cbe61f690103, useIsSkeleton as $5ad421ec19460c48$export$4f8dc7555740235c} from "../icons/Skeleton.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $jzFZE$jsx, jsxs as $jzFZE$jsxs} from "react/jsx-runtime";
import {Provider as $jzFZE$Provider, DEFAULT_SLOT as $jzFZE$DEFAULT_SLOT, composeRenderProps as $jzFZE$composeRenderProps} from "react-aria-components";
import {createContext as $jzFZE$createContext, forwardRef as $jzFZE$forwardRef, useContext as $jzFZE$useContext} from "react";
import {filterDOMProps as $jzFZE$filterDOMProps, inertValue as $jzFZE$inertValue} from "@react-aria/utils";
import {useDOMRef as $jzFZE$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 

















const $68e4e6fe083e22fd$var$borderRadius = {
    default: 'lg',
    size: {
        XS: 'default',
        S: 'default'
    }
};
let $68e4e6fe083e22fd$var$card = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let width = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "Z") width = true;
        rules += p[0];
    }
    rules += ' sd9';
    rules += ' _ta9';
    if (!position) rules += ' _Pc9';
    if (props.size === "S") rules += ' ob9';
    else if (props.size === "XS") rules += ' ob9';
    else rules += ' oc9';
    if (props.size === "S") rules += ' nb9';
    else if (props.size === "XS") rules += ' nb9';
    else rules += ' nc9';
    if (props.size === "S") rules += ' kb9';
    else if (props.size === "XS") rules += ' kb9';
    else rules += ' kc9';
    if (props.size === "S") rules += ' jb9';
    else if (props.size === "XS") rules += ' jb9';
    else rules += ' jc9';
    if (props.variant === "secondary") rules += ' -Ovbhqd-gqlRAZb9';
    else if (props.variant === "primary") rules += ' -Ovbhqd-g_g9';
    rules += ' -Ovbhqd-lgb9';
    if (props.variant === "quiet") rules += ' g99';
    else if (props.variant === "tertiary") rules += ' g99';
    else rules += ' gEzkoQe9';
    if (props.variant === "quiet") rules += ' _nd9';
    else if (props.variant === "tertiary") {
        if (props.isSelected) rules += ' _nd9';
        else if (props.isFocusVisible) rules += ' _nIvHxVd9';
        else if (props.isHovered) rules += ' _nIvHxVd9';
        else rules += ' _nEoUQN9';
        rules += ' _nlAvWjK9';
    } else {
        if (props.isSelected) rules += ' _nb9';
        else if (props.isFocusVisible) rules += ' _nb9';
        else if (props.isHovered) rules += ' _nb9';
        else rules += ' _na9';
        rules += ' _nlAvWjK9';
    }
    rules += ' _yb9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.variant === "quiet") rules += ' _Ne9';
    else rules += ' _Nb9';
    if (props.variant === "quiet") rules += ' Pe9';
    else rules += ' Pb9';
    rules += ' _qc9';
    rules += ' __ca9';
    if (props.isCardView) rules += ' _4c9';
    if (props.isLink) rules += ' ry9';
    if (props.isCardView) {
        if (!width) rules += ' Za9';
    } else if (props.size === "XL") {
        if (!width) rules += ' ZA9';
    } else if (props.size === "L") {
        if (!width) rules += ' Zy9';
    } else if (props.size === "M") {
        if (!width) rules += ' Zt9';
    } else if (props.size === "S") {
        if (!width) rules += ' Zr9';
    } else if (props.size === "XS") {
        if (!width) rules += ' ZI9';
    }
    rules += ' Fb9';
    if (props.density === "spacious") {
        if (props.size === "XL") rules += ' -dAV6Jb-Ti9';
        else if (props.size === "L") rules += ' -dAV6Jb-Th9';
        else if (props.size === "M") rules += ' -dAV6Jb-Tg9';
        else if (props.size === "S") rules += ' -dAV6Jb-Tf9';
        else if (props.size === "XS") rules += ' -dAV6Jb-Te9';
    } else if (props.density === "regular") {
        if (props.size === "XL") rules += ' -dAV6Jb-Th9';
        else if (props.size === "L") rules += ' -dAV6Jb-Tg9';
        else if (props.size === "M") rules += ' -dAV6Jb-Tf9';
        else if (props.size === "S") rules += ' -dAV6Jb-Te9';
        else if (props.size === "XS") rules += ' -dAV6Jb-Tt9';
    } else if (props.density === "compact") {
        if (props.size === "XL") rules += ' -dAV6Jb-Tg9';
        else if (props.size === "L") rules += ' -dAV6Jb-Tf9';
        else if (props.size === "M") rules += ' -dAV6Jb-Te9';
        else if (props.size === "S") rules += ' -dAV6Jb-Tt9';
        else if (props.size === "XS") rules += ' -dAV6Jb-T1DOfn9';
    }
    if (props.variant === "quiet") rules += ' -jXLvjd-Td9';
    else rules += ' -jXLvjd-T5gMYHd9';
    if (props.variant === "quiet") rules += ' -iXLvjd-Sd9';
    else rules += ' -iXLvjd-S5gMYHd9';
    rules += ' TxTaQHd9';
    rules += ' QxTaQHd9';
    rules += ' S0SaQHd9';
    rules += ' R0SaQHd9';
    rules += ' _oa9';
    if (props.variant === "quiet") rules += ' _Le9';
    else if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    return rules;
};
let $68e4e6fe083e22fd$var$selectionIndicator = function anonymous(props) {
    let rules = " ";
    rules += ' _Pa9';
    rules += ' Wr9';
    rules += ' _lr9';
    rules += ' _Ar9';
    rules += ' _zr9';
    rules += ' _9d9';
    if (props.size === "S") rules += ' ob9';
    else if (props.size === "XS") rules += ' ob9';
    else rules += ' oc9';
    if (props.size === "S") rules += ' nb9';
    else if (props.size === "XS") rules += ' nb9';
    else rules += ' nc9';
    if (props.size === "S") rules += ' kb9';
    else if (props.size === "XS") rules += ' kb9';
    else rules += ' kc9';
    if (props.size === "S") rules += ' jb9';
    else if (props.size === "XS") rules += ' jb9';
    else rules += ' jc9';
    rules += ' _Ob9';
    rules += ' _kc9';
    rules += ' hc9';
    rules += ' mc9';
    rules += ' lc9';
    rules += ' _jf9';
    rules += ' ik9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isSelected) rules += ' _Ib9';
    else rules += ' _Ia9';
    rules += ' OGcUfH9';
    rules += ' _Kc9';
    if (props.isStrokeInner) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' _Mc9';
    return rules;
};
let $68e4e6fe083e22fd$var$preview = function anonymous(props) {
    let rules = " ";
    rules += ' _Pc9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' _Nb9';
    rules += ' Pb9';
    rules += ' I8cyuNb9';
    rules += ' H8cyuNb9';
    rules += ' J39J4qb9';
    rules += ' Gk39J4qb9';
    if (props.isQuiet) {
        if (props.size === "S") rules += ' ob9';
        else if (props.size === "XS") rules += ' ob9';
        else rules += ' oc9';
    }
    if (props.isQuiet) {
        if (props.size === "S") rules += ' nb9';
        else if (props.size === "XS") rules += ' nb9';
        else rules += ' nc9';
    }
    if (props.isQuiet) {
        if (props.size === "S") rules += ' kb9';
        else if (props.size === "XS") rules += ' kb9';
        else rules += ' kc9';
    }
    if (props.isQuiet) {
        if (props.size === "S") rules += ' jb9';
        else if (props.size === "XS") rules += ' jb9';
        else rules += ' jc9';
    }
    if (props.isQuiet) {
        if (props.isSelected) rules += ' _nb9';
        else if (props.isFocusVisible) rules += ' _nb9';
        else if (props.isHovered) rules += ' _nb9';
    }
    if (props.isQuiet) {
        if (props.isFocusVisible) rules += ' _Lf9';
    } else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    return rules;
};
const $68e4e6fe083e22fd$var$image = " Za9 fc9 _Hb9 _4c9 _Ob9";
let $68e4e6fe083e22fd$var$title = function anonymous(props) {
    let rules = " ";
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "M") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' vb9';
        rules += ' vse9';
    }
    rules += ' wd9';
    rules += ' xd9';
    rules += ' _xa9';
    rules += ' wfd9';
    rules += ' xfd9';
    rules += ' _xfa9';
    rules += ' _Fa9';
    rules += ' _Ffb9';
    rules += ' po9';
    rules += ' __Ea9';
    rules += ' sa9';
    rules += ' __aa9';
    rules += ' __ba9';
    rules += ' zn9DOs9';
    rules += ' yn9DOs9';
    rules += ' Bn9DOs9';
    rules += ' An9DOs9';
    return rules;
};
let $68e4e6fe083e22fd$var$description = function anonymous(props) {
    let rules = " ";
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "L") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "M") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "S") {
        rules += ' va9';
        rules += ' vsc9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    }
    rules += ' wb9';
    rules += ' xb9';
    rules += ' _xa9';
    rules += ' _Fb9';
    rules += ' _Ffc9';
    rules += ' pt9';
    rules += ' __Ea9';
    rules += ' sa9';
    rules += ' __aa9';
    rules += ' __ba9';
    rules += ' z9u7zPc9';
    rules += ' y9u7zPc9';
    rules += ' B9u7zPc9';
    rules += ' A9u7zPc9';
    return rules;
};
let $68e4e6fe083e22fd$var$content = function anonymous(props) {
    let rules = " ";
    rules += ' se9';
    rules += ' DM8Mfn9';
    rules += ' DlsIuJI4ff49';
    rules += ' CfLapxc9';
    rules += ' ClsIuJg9IhLd9';
    rules += ' qb9';
    rules += ' _ub9';
    rules += ' ea9';
    rules += ' _cf9';
    if (props.size === "XL") rules += ' Ue9';
    else if (props.size === "L") rules += ' UWJpoB9';
    else if (props.size === "M") rules += ' UWJpoB9';
    else if (props.size === "S") rules += ' Ub9';
    else if (props.size === "XS") rules += ' Ub9';
    rules += ' T5gMYHd9';
    rules += ' Tbd9';
    rules += ' Q69YG2b9';
    rules += ' Qkd9';
    return rules;
};
let $68e4e6fe083e22fd$var$actionMenu = " zgSHDrc9 ygSHDrc9 BgSHDrc9 AgSHDrc9 JTnYEIe9 GTnYEIe9";
let $68e4e6fe083e22fd$var$footer = " sd9 _tc9 ec9 _Ce9 Ue9 qe9 T69YG2b9";
const $68e4e6fe083e22fd$export$cb658fed5fefe1d = /*#__PURE__*/ (0, $jzFZE$createContext)('div');
const $68e4e6fe083e22fd$export$d0b2ee33ebf7d64 = /*#__PURE__*/ (0, $jzFZE$createContext)(null);
const $68e4e6fe083e22fd$var$InternalCardContext = /*#__PURE__*/ (0, $jzFZE$createContext)({
    isQuiet: false,
    size: 'M',
    isSelected: false,
    isHovered: false,
    isFocusVisible: false,
    isPressed: false,
    isCheckboxSelection: true
});
const $68e4e6fe083e22fd$var$actionButtonSize = {
    XS: 'XS',
    S: 'XS',
    M: 'S',
    L: 'M',
    XL: 'L'
};
const $68e4e6fe083e22fd$export$60332b2344f7fe41 = /*#__PURE__*/ (0, $jzFZE$forwardRef)(function Card(props, ref) {
    [props] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $68e4e6fe083e22fd$export$d0b2ee33ebf7d64);
    let domRef = (0, $jzFZE$useDOMRef)(ref);
    let { density: density = 'regular', size: size = 'M', variant: variant = 'primary', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, styles: styles, id: id, ...otherProps } = props;
    let isQuiet = variant === 'quiet';
    let isSkeleton = (0, $5ad421ec19460c48$export$4f8dc7555740235c)();
    let children = /*#__PURE__*/ (0, $jzFZE$jsx)((0, $jzFZE$Provider), {
        values: [
            [
                (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                {
                    alt: '',
                    styles: $68e4e6fe083e22fd$var$image
                }
            ],
            [
                (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                {
                    slots: {
                        [(0, $jzFZE$DEFAULT_SLOT)]: {},
                        title: {
                            styles: $68e4e6fe083e22fd$var$title({
                                size: size
                            })
                        },
                        description: {
                            styles: $68e4e6fe083e22fd$var$description({
                                size: size
                            })
                        }
                    }
                }
            ],
            [
                (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                {
                    styles: $68e4e6fe083e22fd$var$content({
                        size: size
                    })
                }
            ],
            [
                (0, $bdf52657dac0f070$export$30fbfd376abdf190),
                {
                    size: 'S'
                }
            ],
            [
                (0, $8e847109a6ab556d$export$5630640b68817ed6),
                {
                    styles: $68e4e6fe083e22fd$var$footer
                }
            ],
            [
                (0, $8bf3cd2442eb485e$export$7f4b66acaca28bd5),
                {
                    isQuiet: true,
                    size: $68e4e6fe083e22fd$var$actionButtonSize[size],
                    isDisabled: isSkeleton,
                    // @ts-ignore
                    'data-slot': 'menu',
                    styles: $68e4e6fe083e22fd$var$actionMenu
                }
            ],
            [
                (0, $5ad421ec19460c48$export$74e166679b1f49ee),
                isSkeleton
            ]
        ],
        children: /*#__PURE__*/ (0, $jzFZE$jsx)((0, $4b5e069e9e001e8b$export$1b926c015f09611d), {
            children: typeof props.children === 'function' ? props.children({
                size: size
            }) : props.children
        })
    });
    let ElementType = (0, $jzFZE$useContext)($68e4e6fe083e22fd$export$cb658fed5fefe1d);
    if (ElementType === 'div' || isSkeleton) return /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
        ...(0, $jzFZE$filterDOMProps)(otherProps),
        id: id != null ? String(id) : undefined,
        // @ts-ignore - React < 19 compat
        inert: (0, $jzFZE$inertValue)(isSkeleton),
        ref: domRef,
        className: UNSAFE_className + $68e4e6fe083e22fd$var$card({
            size: size,
            density: density,
            variant: variant,
            isCardView: ElementType !== 'div'
        }, styles),
        style: UNSAFE_style,
        children: /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$var$InternalCardContext.Provider, {
            value: {
                size: size,
                isQuiet: isQuiet,
                isCheckboxSelection: false,
                isHovered: false,
                isFocusVisible: false,
                isSelected: false,
                isPressed: false
            },
            children: children
        })
    });
    let press = (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef, UNSAFE_style);
    return /*#__PURE__*/ (0, $jzFZE$jsx)(ElementType, {
        ...props,
        ref: domRef,
        className: (renderProps)=>UNSAFE_className + $68e4e6fe083e22fd$var$card({
                ...renderProps,
                isCardView: true,
                isLink: !!props.href,
                size: size,
                density: density,
                variant: variant
            }, styles),
        style: (renderProps)=>// Only the preview in quiet cards scales down on press
            variant === 'quiet' ? UNSAFE_style : press(renderProps),
        children: ({ selectionMode: selectionMode, selectionBehavior: selectionBehavior, isHovered: isHovered, isFocusVisible: isFocusVisible, isSelected: isSelected, isPressed: isPressed })=>/*#__PURE__*/ (0, $jzFZE$jsxs)($68e4e6fe083e22fd$var$InternalCardContext.Provider, {
                value: {
                    size: size,
                    isQuiet: isQuiet,
                    isCheckboxSelection: selectionMode !== 'none' && selectionBehavior === 'toggle',
                    isHovered: isHovered,
                    isFocusVisible: isFocusVisible,
                    isSelected: isSelected,
                    isPressed: isPressed
                },
                children: [
                    !isQuiet && /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$var$SelectionIndicator, {}),
                    !isQuiet && selectionMode !== 'none' && selectionBehavior === 'toggle' && /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$var$CardCheckbox, {}),
                    /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
                        className: " sc9",
                        children: children
                    })
                ]
            })
    });
});
function $68e4e6fe083e22fd$var$SelectionIndicator() {
    let { size: size, isSelected: isSelected, isQuiet: isQuiet, isCheckboxSelection: isCheckboxSelection } = (0, $jzFZE$useContext)($68e4e6fe083e22fd$var$InternalCardContext);
    return /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
        className: $68e4e6fe083e22fd$var$selectionIndicator({
            size: size,
            isSelected: isSelected,
            // Add an inner stroke only for quiet cards with no checkbox to
            // help distinguish the selected state from the preview.
            isStrokeInner: isQuiet && !isCheckboxSelection
        })
    });
}
function $68e4e6fe083e22fd$var$CardCheckbox() {
    let { size: size } = (0, $jzFZE$useContext)($68e4e6fe083e22fd$var$InternalCardContext);
    return /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
        className: " _Pa9 W5gMYHd9 _A5gMYHd9 _9d9 Tp9 Qp9 Sp9 Rp9 gGcUfH9 ob9 nb9 kb9 jb9 _na9",
        children: /*#__PURE__*/ (0, $jzFZE$jsx)((0, $9b405e0f8095dce0$export$48513f6b9f8ce62d), {
            slot: "selection",
            excludeFromTabOrder: true,
            size: size === 'XS' ? 'S' : size
        })
    });
}
const $68e4e6fe083e22fd$export$115f017852a4bb7c = /*#__PURE__*/ (0, $jzFZE$forwardRef)(function CardPreview(props, ref) {
    let { size: size, isQuiet: isQuiet, isHovered: isHovered, isFocusVisible: isFocusVisible, isSelected: isSelected, isPressed: isPressed, isCheckboxSelection: isCheckboxSelection } = (0, $jzFZE$useContext)($68e4e6fe083e22fd$var$InternalCardContext);
    let { UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let domRef = (0, $jzFZE$useDOMRef)(ref);
    return /*#__PURE__*/ (0, $jzFZE$jsxs)("div", {
        ...(0, $jzFZE$filterDOMProps)(props),
        slot: "preview",
        ref: domRef,
        className: UNSAFE_className + $68e4e6fe083e22fd$var$preview({
            size: size,
            isQuiet: isQuiet,
            isHovered: isHovered,
            isFocusVisible: isFocusVisible,
            isSelected: isSelected
        }),
        style: isQuiet ? (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef)({
            isPressed: isPressed
        }) : UNSAFE_style,
        children: [
            isQuiet && /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$var$SelectionIndicator, {}),
            isQuiet && isCheckboxSelection && /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$var$CardCheckbox, {}),
            /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
                className: " oi9 ni9 ki9 ji9 _Nb9 Pb9",
                children: props.children
            })
        ]
    });
});
const $68e4e6fe083e22fd$var$collection = function anonymous(props) {
    let rules = " ";
    rules += ' se9';
    rules += ' DvhgoHd9';
    if (props.size === "S") rules += ' Ua9';
    else if (props.size === "XS") rules += ' Ua9';
    else rules += ' Ub9';
    if (props.size === "S") rules += ' qa9';
    else if (props.size === "XS") rules += ' qa9';
    else rules += ' qb9';
    return rules;
};
const $68e4e6fe083e22fd$var$collectionImage = " Za9 fa9 f5DbKFc9 y5DbKFwoofG9 _Hb9 _Ob9 _4c9";
const $68e4e6fe083e22fd$export$c368ea3e577b1b86 = /*#__PURE__*/ (0, $jzFZE$forwardRef)(function CollectionCardPreview(props, ref) {
    let { size: size } = (0, $jzFZE$useContext)($68e4e6fe083e22fd$var$InternalCardContext);
    return /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$export$115f017852a4bb7c, {
        ...props,
        ref: ref,
        children: /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
            className: $68e4e6fe083e22fd$var$collection({
                size: size
            }),
            children: /*#__PURE__*/ (0, $jzFZE$jsx)((0, $dbd6f0b2503b938c$export$8151eb379fcf2442).Provider, {
                value: {
                    styles: $68e4e6fe083e22fd$var$collectionImage
                },
                children: props.children
            })
        })
    });
});
const $68e4e6fe083e22fd$export$eff93e4e59ccc3b8 = /*#__PURE__*/ (0, $jzFZE$forwardRef)(function AssetCard(props, ref) {
    return /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$export$60332b2344f7fe41, {
        ...props,
        ref: ref,
        density: "regular",
        children: (0, $jzFZE$composeRenderProps)(props.children, (children)=>/*#__PURE__*/ (0, $jzFZE$jsx)((0, $jzFZE$Provider), {
                values: [
                    [
                        (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                        {
                            alt: '',
                            styles: " Za9 fa9 _Ha9 _Ob9 _4c9"
                        }
                    ],
                    [
                        (0, $ac8c32e6775ddd1f$export$207c7561471de4bd),
                        {
                            render (icon) {
                                return /*#__PURE__*/ (0, $jzFZE$jsx)((0, $5ad421ec19460c48$export$6069cbe61f690103), {
                                    children: /*#__PURE__*/ (0, $jzFZE$jsx)("div", {
                                        className: " sd9 eb9 _Ca9 gH9 fa9",
                                        children: icon
                                    })
                                });
                            },
                            styles: " Fd9 Le9 Ke9 Zc9"
                        }
                    ]
                ],
                children: children
            }))
    });
});
const $68e4e6fe083e22fd$var$avatarSize = {
    XS: 24,
    S: 48,
    M: 64,
    L: 64,
    XL: 80
};
const $68e4e6fe083e22fd$export$78e8870b5d8ae469 = /*#__PURE__*/ (0, $jzFZE$forwardRef)(function UserCard(props, ref) {
    let { size: size = 'M' } = props;
    return /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$export$60332b2344f7fe41, {
        ...props,
        ref: ref,
        density: "spacious",
        children: (0, $jzFZE$composeRenderProps)(props.children, (children)=>/*#__PURE__*/ (0, $jzFZE$jsx)((0, $jzFZE$Provider), {
                values: [
                    [
                        (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                        {
                            alt: '',
                            styles: " Za9 fb9 _Hb9 _Ob9 _4c9"
                        }
                    ],
                    [
                        (0, $3ffa2cd930156220$export$a20dad690e1279e2),
                        {
                            size: $68e4e6fe083e22fd$var$avatarSize[size],
                            UNSAFE_style: {
                                '--size': $68e4e6fe083e22fd$var$avatarSize[size] / 16 + 'rem'
                            },
                            styles: " _Pc9 Jy9 Jkymupd0fnV8d9",
                            isOverBackground: true
                        }
                    ]
                ],
                children: children
            }))
    });
});
const $68e4e6fe083e22fd$var$buttonSize = {
    XS: 'S',
    S: 'S',
    M: 'M',
    L: 'L',
    XL: 'XL'
};
const $68e4e6fe083e22fd$export$e6cbe35324ccf844 = /*#__PURE__*/ (0, $jzFZE$forwardRef)(function ProductCard(props1, ref) {
    let { size: size = 'M' } = props1;
    return /*#__PURE__*/ (0, $jzFZE$jsx)($68e4e6fe083e22fd$export$60332b2344f7fe41, {
        ...props1,
        ref: ref,
        density: "spacious",
        children: (0, $jzFZE$composeRenderProps)(props1.children, (children)=>/*#__PURE__*/ (0, $jzFZE$jsx)((0, $jzFZE$Provider), {
                values: [
                    [
                        (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                        {
                            slots: {
                                preview: {
                                    alt: '',
                                    styles: " Za9 fd9 _Hb9 _Ob9 _4c9"
                                },
                                thumbnail: {
                                    alt: '',
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        rules += ' _Pc9';
                                        rules += ' _Ob9';
                                        rules += ' _4c9';
                                        if (props.size === "XL") rules += ' ZD9';
                                        else if (props.size === "L") rules += ' Zx9';
                                        else if (props.size === "M") rules += ' Zw9';
                                        else if (props.size === "S") rules += ' Zv9';
                                        else if (props.size === "XS") rules += ' Zo9';
                                        rules += ' FRuFGYc9';
                                        if (props.size === "S") rules += ' oa9';
                                        else if (props.size === "XS") rules += ' oa9';
                                        else rules += ' ob9';
                                        if (props.size === "S") rules += ' na9';
                                        else if (props.size === "XS") rules += ' na9';
                                        else rules += ' nb9';
                                        if (props.size === "S") rules += ' ka9';
                                        else if (props.size === "XS") rules += ' ka9';
                                        else rules += ' kb9';
                                        if (props.size === "S") rules += ' ja9';
                                        else if (props.size === "XS") rules += ' ja9';
                                        else rules += ' jb9';
                                        rules += ' _Hb9';
                                        rules += ' Jy9';
                                        rules += ' JkymupdLu7Bcc9';
                                        rules += ' _Lf9';
                                        if (props.size === "XS") rules += ' _Mb9';
                                        else rules += ' _Mc9';
                                        rules += ' OEzkoQe9';
                                        if (props.size === "XL") rules += ' -F_-Fy9';
                                        else if (props.size === "L") rules += ' -F_-Fw9';
                                        else if (props.size === "M") rules += ' -F_-Fv9';
                                        else if (props.size === "S") rules += ' -F_-Fu9';
                                        else if (props.size === "XS") rules += ' -F_-Fp9';
                                        return rules;
                                    }({
                                        size: size
                                    })
                                }
                            }
                        }
                    ],
                    [
                        (0, $8e847109a6ab556d$export$5630640b68817ed6),
                        {
                            styles: (0, $feb886035e0d4633$export$e618dc39ac9ad607)($68e4e6fe083e22fd$var$footer, " _Cb9")
                        }
                    ],
                    [
                        (0, $067ea9f64ccd4e8e$export$24d547caef80ccd1),
                        {
                            size: $68e4e6fe083e22fd$var$buttonSize[size]
                        }
                    ],
                    [
                        (0, $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3),
                        {
                            size: $68e4e6fe083e22fd$var$buttonSize[size]
                        }
                    ]
                ],
                children: children
            }))
    });
});


export {$68e4e6fe083e22fd$export$cb658fed5fefe1d as InternalCardViewContext, $68e4e6fe083e22fd$export$d0b2ee33ebf7d64 as CardContext, $68e4e6fe083e22fd$export$60332b2344f7fe41 as Card, $68e4e6fe083e22fd$export$115f017852a4bb7c as CardPreview, $68e4e6fe083e22fd$export$c368ea3e577b1b86 as CollectionCardPreview, $68e4e6fe083e22fd$export$eff93e4e59ccc3b8 as AssetCard, $68e4e6fe083e22fd$export$78e8870b5d8ae469 as UserCard, $68e4e6fe083e22fd$export$e6cbe35324ccf844 as ProductCard};
//# sourceMappingURL=Card.mjs.map
