require("./ColorSwatchPicker.css");
var $8b1ea085cefae738$exports = require("./ColorSwatch.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $7eldL$reactjsxruntime = require("react/jsx-runtime");
var $7eldL$reactariacomponents = require("react-aria-components");
var $7eldL$react = require("react");
var $7eldL$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "ColorSwatchPickerContext", () => $a267e3efa7024819$export$7214f50881fc1eaf);
$parcel$export(module.exports, "ColorSwatchPicker", () => $a267e3efa7024819$export$b46792416e3d8515);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 





const $a267e3efa7024819$export$7214f50881fc1eaf = /*#__PURE__*/ (0, $7eldL$react.createContext)(null);
const $a267e3efa7024819$export$b46792416e3d8515 = /*#__PURE__*/ (0, $7eldL$react.forwardRef)(function ColorSwatchPicker(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $a267e3efa7024819$export$7214f50881fc1eaf);
    let { density: density = 'regular', size: size = 'M', rounding: rounding = 'none', UNSAFE_className: UNSAFE_className = '', ...otherProps } = props;
    let domRef = (0, $7eldL$reactspectrumutils.useDOMRef)(ref);
    return /*#__PURE__*/ (0, $7eldL$reactjsxruntime.jsx)((0, $7eldL$reactariacomponents.ColorSwatchPicker), {
        ...otherProps,
        ref: domRef,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            rules += ((overrides || '').match(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g) || []).join('');
            rules += ' sd9';
            rules += ' _wb9';
            if (props.density === "spacious") rules += ' UWJpoB9';
            else if (props.density === "regular") rules += ' Ub9';
            else if (props.density === "compact") rules += ' Ua9';
            if (props.density === "spacious") rules += ' qWJpoB9';
            else if (props.density === "regular") rules += ' qb9';
            else if (props.density === "compact") rules += ' qa9';
            return rules;
        }({
            density: density
        }, props.styles),
        children: /*#__PURE__*/ (0, $7eldL$reactjsxruntime.jsx)((0, $8b1ea085cefae738$exports.InternalColorSwatchContext).Provider, {
            value: {
                useWrapper: $a267e3efa7024819$var$useWrapper,
                size: size,
                rounding: rounding
            },
            children: props.children
        })
    });
});
function $a267e3efa7024819$var$useWrapper(swatch, color, rounding) {
    return /*#__PURE__*/ (0, $7eldL$reactjsxruntime.jsx)((0, $7eldL$reactariacomponents.ColorSwatchPickerItem), {
        color: color,
        className: (renderProps)=>(function anonymous(props) {
                let rules = " ";
                if (props.isFocusVisible) rules += ' _Lf9';
                else rules += ' _Le9';
                rules += ' Oh9';
                rules += ' _Mc9';
                rules += ' _Kd9';
                rules += ' _Pc9';
                if (props.rounding === "full") rules += ' og9';
                else if (props.rounding === "default") rules += ' oa9';
                else if (props.rounding === "none") rules += ' od9';
                if (props.rounding === "full") rules += ' ng9';
                else if (props.rounding === "default") rules += ' na9';
                else if (props.rounding === "none") rules += ' nd9';
                if (props.rounding === "full") rules += ' kg9';
                else if (props.rounding === "default") rules += ' ka9';
                else if (props.rounding === "none") rules += ' kd9';
                if (props.rounding === "full") rules += ' jg9';
                else if (props.rounding === "default") rules += ' ja9';
                else if (props.rounding === "none") rules += ' jd9';
                return rules;
            })({
                ...renderProps,
                rounding: rounding
            }),
        children: ({ isSelected: isSelected })=>/*#__PURE__*/ (0, $7eldL$reactjsxruntime.jsxs)((0, $7eldL$reactjsxruntime.Fragment), {
                children: [
                    swatch,
                    isSelected && /*#__PURE__*/ (0, $7eldL$reactjsxruntime.jsx)("div", {
                        "aria-hidden": true,
                        className: " _Pa9 _Ob9 Wr9 _lr9 _Ar9 _zr9 _oa9 in9 _jf9 _kc9 hc9 mc9 lc9 Og9 _Lf9 _Mc9 _Kc9 _yb9 oi9 ni9 ki9 ji9"
                    })
                ]
            })
    });
}


//# sourceMappingURL=ColorSwatchPicker.cjs.map
