import "./ColorSwatchPicker.css";
import {InternalColorSwatchContext as $cd9e1720baab3945$export$2d9e1fe7b5c0ceb6} from "./ColorSwatch.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $bOBHx$jsx, jsxs as $bOBHx$jsxs, Fragment as $bOBHx$Fragment} from "react/jsx-runtime";
import {ColorSwatchPicker as $bOBHx$ColorSwatchPicker, ColorSwatchPickerItem as $bOBHx$ColorSwatchPickerItem} from "react-aria-components";
import {createContext as $bOBHx$createContext, forwardRef as $bOBHx$forwardRef} from "react";
import {useDOMRef as $bOBHx$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 





const $ba9c901b6c815fb9$export$7214f50881fc1eaf = /*#__PURE__*/ (0, $bOBHx$createContext)(null);
const $ba9c901b6c815fb9$export$b46792416e3d8515 = /*#__PURE__*/ (0, $bOBHx$forwardRef)(function ColorSwatchPicker(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $ba9c901b6c815fb9$export$7214f50881fc1eaf);
    let { density: density = 'regular', size: size = 'M', rounding: rounding = 'none', UNSAFE_className: UNSAFE_className = '', ...otherProps } = props;
    let domRef = (0, $bOBHx$useDOMRef)(ref);
    return /*#__PURE__*/ (0, $bOBHx$jsx)((0, $bOBHx$ColorSwatchPicker), {
        ...otherProps,
        ref: domRef,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            rules += ((overrides || '').match(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g) || []).join('');
            rules += ' sd9';
            rules += ' _wb9';
            if (props.density === "spacious") rules += ' UWJpoB9';
            else if (props.density === "regular") rules += ' Ub9';
            else if (props.density === "compact") rules += ' Ua9';
            if (props.density === "spacious") rules += ' qWJpoB9';
            else if (props.density === "regular") rules += ' qb9';
            else if (props.density === "compact") rules += ' qa9';
            return rules;
        }({
            density: density
        }, props.styles),
        children: /*#__PURE__*/ (0, $bOBHx$jsx)((0, $cd9e1720baab3945$export$2d9e1fe7b5c0ceb6).Provider, {
            value: {
                useWrapper: $ba9c901b6c815fb9$var$useWrapper,
                size: size,
                rounding: rounding
            },
            children: props.children
        })
    });
});
function $ba9c901b6c815fb9$var$useWrapper(swatch, color, rounding) {
    return /*#__PURE__*/ (0, $bOBHx$jsx)((0, $bOBHx$ColorSwatchPickerItem), {
        color: color,
        className: (renderProps)=>(function anonymous(props) {
                let rules = " ";
                if (props.isFocusVisible) rules += ' _Lf9';
                else rules += ' _Le9';
                rules += ' Oh9';
                rules += ' _Mc9';
                rules += ' _Kd9';
                rules += ' _Pc9';
                if (props.rounding === "full") rules += ' og9';
                else if (props.rounding === "default") rules += ' oa9';
                else if (props.rounding === "none") rules += ' od9';
                if (props.rounding === "full") rules += ' ng9';
                else if (props.rounding === "default") rules += ' na9';
                else if (props.rounding === "none") rules += ' nd9';
                if (props.rounding === "full") rules += ' kg9';
                else if (props.rounding === "default") rules += ' ka9';
                else if (props.rounding === "none") rules += ' kd9';
                if (props.rounding === "full") rules += ' jg9';
                else if (props.rounding === "default") rules += ' ja9';
                else if (props.rounding === "none") rules += ' jd9';
                return rules;
            })({
                ...renderProps,
                rounding: rounding
            }),
        children: ({ isSelected: isSelected })=>/*#__PURE__*/ (0, $bOBHx$jsxs)((0, $bOBHx$Fragment), {
                children: [
                    swatch,
                    isSelected && /*#__PURE__*/ (0, $bOBHx$jsx)("div", {
                        "aria-hidden": true,
                        className: " _Pa9 _Ob9 Wr9 _lr9 _Ar9 _zr9 _oa9 in9 _jf9 _kc9 hc9 mc9 lc9 Og9 _Lf9 _Mc9 _Kc9 _yb9 oi9 ni9 ki9 ji9"
                    })
                ]
            })
    });
}


export {$ba9c901b6c815fb9$export$7214f50881fc1eaf as ColorSwatchPickerContext, $ba9c901b6c815fb9$export$b46792416e3d8515 as ColorSwatchPicker};
//# sourceMappingURL=ColorSwatchPicker.mjs.map
