import "./DropZone.css";
import {IllustratedMessageContext as $4950413ac998f607$export$d661ef89ad42d682} from "./IllustratedMessage.mjs";
import $4h9kk$intlStringsmjs from "./intlStrings.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $4h9kk$jsx, jsxs as $4h9kk$jsxs, Fragment as $4h9kk$Fragment} from "react/jsx-runtime";
import {DropZone as $4h9kk$DropZone} from "react-aria-components";
import {createContext as $4h9kk$createContext, forwardRef as $4h9kk$forwardRef} from "react";
import {useDOMRef as $4h9kk$useDOMRef} from "@react-spectrum/utils";
import {useLocalizedStringFormatter as $4h9kk$useLocalizedStringFormatter} from "@react-aria/i18n";


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 







const $fb6e45fba2483f65$export$14a72053295ff9a6 = /*#__PURE__*/ (0, $4h9kk$createContext)(null);
const $fb6e45fba2483f65$var$dropzone = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L|F|M|K)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        rules += p[0];
    }
    rules += ' sd9';
    rules += ' _Ca9';
    rules += ' eb9';
    if (!position) rules += ' _Pc9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    rules += ' po9';
    if (props.isDropTarget) rules += ' _jf9';
    else rules += ' _ja9';
    if (props.isDropTarget) rules += ' g_e9';
    rules += ' _kc9';
    rules += ' hc9';
    rules += ' mc9';
    rules += ' lc9';
    if (props.isFocusVisible) rules += ' ix9';
    else if (props.isDropTarget) rules += ' ix9';
    else rules += ' iq9';
    rules += ' oc9';
    rules += ' nc9';
    rules += ' kc9';
    rules += ' jc9';
    rules += ' Th9';
    rules += ' Qh9';
    rules += ' Sh9';
    rules += ' Rh9';
    return rules;
};
const $fb6e45fba2483f65$var$banner = function anonymous(props) {
    let rules = " ";
    rules += ' _Pa9';
    rules += ' _Er9';
    rules += ' _Rr9';
    rules += ' IM9';
    rules += ' HM9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    rules += ' MAyFGYc9';
    rules += ' ZJ9';
    if (props.size === "L") rules += ' Lg9';
    else if (props.size === "S") rules += ' Le9';
    else rules += ' Lf9';
    rules += ' g29';
    rules += ' ob9';
    rules += ' nb9';
    rules += ' kb9';
    rules += ' jb9';
    rules += ' px9';
    rules += ' wd9';
    rules += ' xd9';
    rules += ' _xa9';
    rules += ' T85xBjb9';
    rules += ' Q85xBjb9';
    rules += ' S85xBjb9';
    rules += ' R85xBjb9';
    rules += ' -M_-Mf9';
    return rules;
};
const $fb6e45fba2483f65$export$3c6489d84dc98b6 = /*#__PURE__*/ (0, $4h9kk$forwardRef)(function DropZone(props, ref) {
    let stringFormatter = (0, $4h9kk$useLocalizedStringFormatter)((0, ($parcel$interopDefault($4h9kk$intlStringsmjs))), '@react-spectrum/s2');
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $fb6e45fba2483f65$export$14a72053295ff9a6);
    let { size: size = 'M' } = props;
    let domRef = (0, $4h9kk$useDOMRef)(ref);
    return /*#__PURE__*/ (0, $4h9kk$jsx)((0, $4h9kk$DropZone), {
        ...props,
        ref: domRef,
        style: props.UNSAFE_style,
        className: (renderProps)=>(props.UNSAFE_className || '') + $fb6e45fba2483f65$var$dropzone(renderProps, props.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $4h9kk$jsxs)((0, $4h9kk$Fragment), {
                children: [
                    /*#__PURE__*/ (0, $4h9kk$jsx)((0, $4950413ac998f607$export$d661ef89ad42d682).Provider, {
                        value: {
                            isInDropZone: true,
                            isDropTarget: renderProps.isDropTarget,
                            size: size
                        },
                        children: props.children
                    }),
                    renderProps.isDropTarget && props.isFilled && /*#__PURE__*/ (0, $4h9kk$jsx)("div", {
                        className: $fb6e45fba2483f65$var$banner({
                            size: size
                        }),
                        children: /*#__PURE__*/ (0, $4h9kk$jsx)("span", {
                            children: props.replaceMessage ? props.replaceMessage : stringFormatter.format('dropzone.replaceMessage')
                        })
                    })
                ]
            })
    });
});


export {$fb6e45fba2483f65$export$14a72053295ff9a6 as DropZoneContext, $fb6e45fba2483f65$export$3c6489d84dc98b6 as DropZone};
//# sourceMappingURL=DropZone.mjs.map
