import "./FullscreenDialog.css";
import {ButtonGroupContext as $472eaa9a9b344b9a$export$4c574c91bb0be0e2} from "./ButtonGroup.mjs";
import {ContentContext as $8e847109a6ab556d$export$1cbdd774077931b4, HeaderContext as $8e847109a6ab556d$export$e0e4026c12a8bdbb, HeadingContext as $8e847109a6ab556d$export$d688439359537581} from "./Content.mjs";
import {Modal as $c46d159bd615e407$export$2b77a92f1a5ad772} from "./Modal.mjs";
import {jsx as $900FG$jsx} from "react/jsx-runtime";
import {Dialog as $900FG$Dialog, composeRenderProps as $900FG$composeRenderProps, OverlayTriggerStateContext as $900FG$OverlayTriggerStateContext, Provider as $900FG$Provider} from "react-aria-components";
import {forwardRef as $900FG$forwardRef} from "react";
import {useDOMRef as $900FG$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $8e7a38ff5b9798e1$var$heading = " zPCJngb9 yPCJngb9 BPCJngb9 APCJngb9 _ub9 Jy9 Gy9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vj9 vsm9 we9 xe9 _xa9 wfe9 xfe9 _xfa9 _Fa9 _Ffb9 po9";
const $8e7a38ff5b9798e1$var$header = " z6Akec9 y6Akec9 B6Akec9 A6Akec9 InM9 HnM9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vg9 vsj9 wb9 xb9 _xa9 _Fb9 _Ffc9 pt9";
const $8e7a38ff5b9798e1$var$content = " zk52g2d9 yk52g2d9 Bk52g2d9 Ak52g2d9 _ub9 Pa9 Pme9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vp9 vsh9 wb9 xb9 _xa9 _Fb9 _Ffc9 pt9";
const $8e7a38ff5b9798e1$var$buttonGroup = " z4AkfTc9 y4AkfTc9 B4AkfTc9 A4AkfTc9 IM9 La9";
const $8e7a38ff5b9798e1$export$6af31f836f9aa6f2 = " se9 CQpyMed9 Cns3y4td9 DM8Mfn9 Dn4w1sLc9 EH21CE9 EnFjesNe9 Th9 Tnk9 Qh9 Qnk9 Sh9 Snk9 Rh9 Rnk9 ql9 qnj9 K40ub4c9 Fb9 _oa9 _Le9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 oi9 ni9 ki9 ji9 _Na9 Pa9";
const $8e7a38ff5b9798e1$export$7082b7e805d2626f = /*#__PURE__*/ (0, $900FG$forwardRef)(function FullscreenDialog(props, ref) {
    let { variant: variant = 'fullscreen', isKeyboardDismissDisabled: isKeyboardDismissDisabled } = props;
    let domRef = (0, $900FG$useDOMRef)(ref);
    return /*#__PURE__*/ (0, $900FG$jsx)((0, $c46d159bd615e407$export$2b77a92f1a5ad772), {
        size: variant,
        isKeyboardDismissDisabled: isKeyboardDismissDisabled,
        children: /*#__PURE__*/ (0, $900FG$jsx)((0, $900FG$Dialog), {
            ...props,
            ref: domRef,
            style: props.UNSAFE_style,
            className: (props.UNSAFE_className || '') + $8e7a38ff5b9798e1$export$6af31f836f9aa6f2,
            children: (0, $900FG$composeRenderProps)(props.children, (children)=>// Reset OverlayTriggerStateContext so the buttons inside the dialog don't retain their hover state.
                /*#__PURE__*/ (0, $900FG$jsx)((0, $900FG$OverlayTriggerStateContext).Provider, {
                    value: null,
                    children: /*#__PURE__*/ (0, $900FG$jsx)((0, $900FG$Provider), {
                        values: [
                            [
                                (0, $8e847109a6ab556d$export$d688439359537581),
                                {
                                    styles: $8e7a38ff5b9798e1$var$heading
                                }
                            ],
                            [
                                (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                {
                                    styles: $8e7a38ff5b9798e1$var$header
                                }
                            ],
                            [
                                (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                                {
                                    styles: $8e7a38ff5b9798e1$var$content
                                }
                            ],
                            [
                                (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                                {
                                    styles: $8e7a38ff5b9798e1$var$buttonGroup
                                }
                            ]
                        ],
                        children: children
                    })
                }))
        })
    });
});


export {$8e7a38ff5b9798e1$export$6af31f836f9aa6f2 as dialogInner, $8e7a38ff5b9798e1$export$7082b7e805d2626f as FullscreenDialog};
//# sourceMappingURL=FullscreenDialog.mjs.map
