import "./IllustratedMessage.css";
import {ButtonGroupContext as $472eaa9a9b344b9a$export$4c574c91bb0be0e2} from "./ButtonGroup.mjs";
import {ContentContext as $8e847109a6ab556d$export$1cbdd774077931b4, HeadingContext as $8e847109a6ab556d$export$d688439359537581} from "./Content.mjs";
import {IllustrationContext as $ac8c32e6775ddd1f$export$207c7561471de4bd} from "../icons/Icon.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $3JmRZ$jsx} from "react/jsx-runtime";
import {Provider as $3JmRZ$Provider} from "react-aria-components";
import {createContext as $3JmRZ$createContext, forwardRef as $3JmRZ$forwardRef} from "react";
import {filterDOMProps as $3JmRZ$filterDOMProps} from "@react-aria/utils";
import {useDOMRef as $3JmRZ$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 








const $4950413ac998f607$var$illustratedMessage = function anonymous(props, overrides) {
    let rules = " ";
    let maxWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L|F|M|K)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "L") maxWidth = true;
        rules += p[0];
    }
    rules += ' se9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.size === "XL") rules += ' pt9';
    else if (props.size === "L") rules += ' pt9';
    else if (props.size === "S") rules += ' pt9';
    else if (props.size === "XS") rules += ' pt9';
    else rules += ' pt9';
    if (props.orientation === "horizontal") {
        if (!maxWidth) rules += ' Lj9';
    } else if (props.orientation === "vertical") {
        if (!maxWidth) rules += ' Li9';
    }
    if (props.orientation === "horizontal") rules += ' CLJajOe9';
    else if (props.orientation === "vertical") rules += ' CPmblS9';
    if (props.orientation === "horizontal") rules += ' ECIGjJc9';
    else if (props.orientation === "vertical") {
        if (props.size === "L") rules += ' EbQCrs9';
        else rules += ' E4ICjXd9';
    }
    if (props.orientation === "horizontal") rules += ' DpdPjR9';
    if (props.orientation === "horizontal") rules += ' _Dc9';
    else if (props.orientation === "vertical") rules += ' _Da9';
    if (props.orientation === "vertical") rules += ' _Wa9';
    return rules;
};
const $4950413ac998f607$var$illustration = function anonymous(props) {
    let rules = " ";
    rules += ' zTZ8xtd9';
    rules += ' yTZ8xtd9';
    rules += ' BTZ8xtd9';
    rules += ' ATZ8xtd9';
    rules += ' _dc9';
    if (props.isDropTarget) rules += ' -_8sjo0b-pu9';
    else rules += ' -_8sjo0b-pt9';
    return rules;
};
const $4950413ac998f607$var$heading = function anonymous(props) {
    let rules = " ";
    rules += ' zPCJngb9';
    rules += ' yPCJngb9';
    rules += ' BPCJngb9';
    rules += ' APCJngb9';
    if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "M") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "L") {
        rules += ' vj9';
        rules += ' vsm9';
    } else if (props.size === "M") {
        rules += ' vi9';
        rules += ' vsl9';
    } else if (props.size === "S") {
        rules += ' vp9';
        rules += ' vsh9';
    }
    if (props.size === "L") {
        rules += ' wd9';
        rules += ' xd9';
        rules += ' _xa9';
        rules += ' wfd9';
        rules += ' xfd9';
        rules += ' _xfa9';
    } else if (props.size === "M") {
        rules += ' wd9';
        rules += ' xd9';
        rules += ' _xa9';
        rules += ' wfd9';
        rules += ' xfd9';
        rules += ' _xfa9';
    } else if (props.size === "S") {
        rules += ' wd9';
        rules += ' xd9';
        rules += ' _xa9';
        rules += ' wfd9';
        rules += ' xfd9';
        rules += ' _xfa9';
    }
    if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "M") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.size === "L") rules += ' po9';
    else if (props.size === "M") rules += ' po9';
    else if (props.size === "S") rules += ' po9';
    rules += ' _dd9';
    rules += ' Jy9';
    rules += ' Gy9';
    rules += ' Iy9';
    rules += ' Hy9';
    return rules;
};
const $4950413ac998f607$var$content = function anonymous(props) {
    let rules = " ";
    if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "M") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "L") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "M") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    }
    if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "M") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "L") {
        rules += ' _Fb9';
        rules += ' _Ffc9';
    } else if (props.size === "M") {
        rules += ' _Fb9';
        rules += ' _Ffc9';
    } else if (props.size === "S") {
        rules += ' _Fb9';
        rules += ' _Ffc9';
    }
    if (props.size === "L") rules += ' pt9';
    else if (props.size === "M") rules += ' pt9';
    else if (props.size === "S") rules += ' pt9';
    rules += ' zk52g2d9';
    rules += ' yk52g2d9';
    rules += ' Bk52g2d9';
    rules += ' Ak52g2d9';
    rules += ' _de9';
    return rules;
};
const $4950413ac998f607$var$buttonGroup = " zmlKpq9 ymlKpq9 BmlKpq9 AmlKpq9 JC9";
const $4950413ac998f607$export$d661ef89ad42d682 = /*#__PURE__*/ (0, $3JmRZ$createContext)(null);
const $4950413ac998f607$export$406dbc84c317ece0 = /*#__PURE__*/ (0, $3JmRZ$forwardRef)(function IllustratedMessage(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $4950413ac998f607$export$d661ef89ad42d682);
    let domRef = (0, $3JmRZ$useDOMRef)(ref);
    let { children: children, orientation: orientation = 'horizontal', size: size = 'M', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, isInDropZone: isInDropZone = false, isDropTarget: isDropTarget = false, ...otherProps } = props;
    return /*#__PURE__*/ (0, $3JmRZ$jsx)("div", {
        ...(0, $3JmRZ$filterDOMProps)(otherProps),
        style: UNSAFE_style,
        className: UNSAFE_className + $4950413ac998f607$var$illustratedMessage({
            size: props.size || 'M',
            orientation: props.orientation || 'vertical'
        }, props.styles),
        ref: domRef,
        children: /*#__PURE__*/ (0, $3JmRZ$jsx)((0, $3JmRZ$Provider), {
            values: [
                [
                    (0, $8e847109a6ab556d$export$d688439359537581),
                    {
                        styles: $4950413ac998f607$var$heading({
                            orientation: orientation,
                            size: size
                        })
                    }
                ],
                [
                    (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                    {
                        styles: $4950413ac998f607$var$content({
                            size: size
                        })
                    }
                ],
                [
                    (0, $ac8c32e6775ddd1f$export$207c7561471de4bd),
                    {
                        size: size === 'L' ? 'L' : 'M',
                        styles: $4950413ac998f607$var$illustration({
                            orientation: orientation,
                            size: size,
                            isInDropZone: isInDropZone,
                            isDropTarget: isDropTarget
                        })
                    }
                ],
                [
                    (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                    {
                        styles: $4950413ac998f607$var$buttonGroup
                    }
                ]
            ],
            children: children
        })
    });
});


export {$4950413ac998f607$export$d661ef89ad42d682 as IllustratedMessageContext, $4950413ac998f607$export$406dbc84c317ece0 as IllustratedMessage};
//# sourceMappingURL=IllustratedMessage.mjs.map
