require("./Link.css");
var $5eb75e0c130e0669$exports = require("../icons/Skeleton.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $7PkpH$reactjsxruntime = require("react/jsx-runtime");
var $7PkpH$reactariacomponents = require("react-aria-components");
var $7PkpH$react = require("react");
var $7PkpH$reactspectrumutils = require("@react-spectrum/utils");
var $7PkpH$reactariautils = require("@react-aria/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "LinkContext", () => $064658f378a85eef$export$e2509388b49734e7);
$parcel$export(module.exports, "Link", () => $064658f378a85eef$export$a6c7ac8248d6e38a);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $064658f378a85eef$export$e2509388b49734e7 = /*#__PURE__*/ (0, $7PkpH$react.createContext)(null);
const $064658f378a85eef$var$link = function anonymous(props, overrides) {
    let rules = " ";
    rules += ((overrides || '').match(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g) || []).join('');
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    if (props.isStaticColor) rules += ' Oe9';
    else rules += ' Oh9';
    rules += ' Olc9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr9';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s9';
    rules += ' oa9';
    rules += ' na9';
    rules += ' ka9';
    rules += ' ja9';
    if (props.isStandalone) {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.isStandalone) {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.isStandalone) {
        rules += ' wc9';
        rules += ' xc9';
        rules += ' _xa9';
    }
    if (props.isStandalone) {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isStaticColor) rules += ' pl9';
    else if (props.variant === "secondary") {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    } else if (props.variant === "primary") {
        if (props.isPressed) rules += ' ps9';
        else if (props.isFocusVisible) rules += ' ps9';
        else if (props.isHovered) rules += ' ps9';
        else rules += ' pu9';
    }
    rules += ' plf9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isStandalone) {
        if (props.isQuiet) {
            if (props.isFocusVisible) {
                rules += ' _Xb9';
                rules += ' __Va9';
            } else if (props.isHovered) {
                rules += ' _Xb9';
                rules += ' __Va9';
            } else rules += ' _Xa9';
        }
    } else {
        rules += ' _Xb9';
        rules += ' __Va9';
    }
    rules += ' __ca9';
    return rules;
};
const $064658f378a85eef$export$a6c7ac8248d6e38a = /*#__PURE__*/ (0, $7PkpH$react.forwardRef)(function Link(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $064658f378a85eef$export$e2509388b49734e7);
    let { variant: variant = 'primary', staticColor: staticColor, isQuiet: isQuiet, isStandalone: isStandalone, UNSAFE_style: UNSAFE_style, UNSAFE_className: UNSAFE_className = '', styles: styles, children: children } = props;
    let domRef = (0, $7PkpH$reactspectrumutils.useFocusableRef)(ref);
    let isSkeleton = (0, $7PkpH$react.useContext)((0, $5eb75e0c130e0669$exports.SkeletonContext)) || false;
    [children, UNSAFE_style] = (0, $5eb75e0c130e0669$exports.useSkeletonText)(children, UNSAFE_style);
    (0, $7PkpH$reactariautils.useLayoutEffect)(()=>{
        if (domRef.current) // TODO: should RAC Link pass through inert?
        domRef.current.inert = isSkeleton;
    }, [
        domRef,
        isSkeleton
    ]);
    return /*#__PURE__*/ (0, $7PkpH$reactjsxruntime.jsx)((0, $7PkpH$reactariacomponents.Link), {
        ...props,
        ref: domRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $064658f378a85eef$var$link({
                ...renderProps,
                variant: variant,
                staticColor: staticColor,
                isStaticColor: !!staticColor,
                isQuiet: isQuiet,
                isStandalone: isStandalone,
                isSkeleton: isSkeleton
            }, styles),
        children: children
    });
});


//# sourceMappingURL=Link.cjs.map
