require("./Modal.css");
var $914a06b3a1c679bc$exports = require("./Provider.cjs");
var $j6TWk$reactjsxruntime = require("react/jsx-runtime");
var $j6TWk$react = require("react");
var $j6TWk$reactariacomponents = require("react-aria-components");
var $j6TWk$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "Modal", () => $8e678305a8c10028$export$2b77a92f1a5ad772);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 




const $8e678305a8c10028$var$modalOverlayStyles = function anonymous(props) {
    let rules = " ";
    if (props.colorScheme === "dark") rules += ' _pa9';
    else if (props.colorScheme === "light") rules += ' _pb9';
    else if (props.colorScheme === "light dark") rules += ' _pc9';
    else rules += ' _pN79Hzc9';
    rules += ' _Pb9';
    rules += ' Wr9';
    rules += ' _lr9';
    rules += ' _Ar9';
    rules += ' _zr9';
    rules += ' _Bb9';
    rules += ' g89';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    if (props.isExiting) rules += ' _Ia9';
    else if (props.isEntering) rules += ' _Ia9';
    rules += ' Yf9';
    if (props.isExiting) rules += ' Xa9';
    else rules += ' Xd9';
    rules += ' _2b9';
    return rules;
};
const $8e678305a8c10028$export$2b77a92f1a5ad772 = /*#__PURE__*/ (0, $j6TWk$react.forwardRef)(function Modal(props1, ref) {
    let domRef = (0, $j6TWk$reactspectrumutils.useDOMRef)(ref);
    let colorScheme = (0, $j6TWk$react.useContext)((0, $914a06b3a1c679bc$exports.ColorSchemeContext));
    let { locale: locale, direction: direction } = (0, $j6TWk$reactariacomponents.useLocale)();
    // TODO: should we pass through lang and dir props in RAC?
    let modalRef = (0, $j6TWk$react.useCallback)((el)=>{
        domRef.current = el;
        if (el) {
            el.lang = locale;
            el.dir = direction;
        }
    }, [
        locale,
        direction,
        domRef
    ]);
    return /*#__PURE__*/ (0, $j6TWk$reactjsxruntime.jsx)((0, $j6TWk$reactariacomponents.ModalOverlay), {
        ...props1,
        className: (renderProps)=>$8e678305a8c10028$var$modalOverlayStyles({
                ...renderProps,
                colorScheme: colorScheme
            }),
        children: /*#__PURE__*/ (0, $j6TWk$reactjsxruntime.jsx)((0, $j6TWk$reactariacomponents.Modal), {
            ...props1,
            ref: modalRef,
            className: (renderProps)=>(function anonymous(props) {
                    let rules = " ";
                    rules += ' sd9';
                    rules += ' _ta9';
                    if (props.size === "fullscreenTakeover") rules += ' od9';
                    else rules += ' oe9';
                    if (props.size === "fullscreenTakeover") rules += ' nd9';
                    else rules += ' ne9';
                    if (props.size === "fullscreenTakeover") rules += ' kd9';
                    else rules += ' ke9';
                    if (props.size === "fullscreenTakeover") rules += ' jd9';
                    else rules += ' je9';
                    if (props.size === "fullscreenTakeover") rules += ' Za9';
                    else if (props.size === "fullscreen") rules += ' ZGqsG7b9';
                    else if (props.size === "L") rules += ' Zb4QY49';
                    else if (props.size === "M") rules += ' ZILqIYb9';
                    else if (props.size === "S") rules += ' ZA9';
                    if (props.size === "fullscreenTakeover") rules += ' Fb9';
                    else if (props.size === "fullscreen") rules += ' FGqsG7b9';
                    if (props.size === "fullscreenTakeover") rules += ' Lp9';
                    else if (props.size === "fullscreen") rules += ' Lp9';
                    else rules += ' Lc9';
                    if (props.size === "fullscreenTakeover") rules += ' Ki9';
                    else if (props.size === "fullscreen") rules += ' Ki9';
                    else rules += ' Kc9';
                    rules += ' -Ovbhqd-g_g9';
                    rules += ' gEzkoQe9';
                    if (props.isExiting) rules += ' _Ia9';
                    else if (props.isEntering) rules += ' _Ia9';
                    if (props.isEntering) {
                        rules += ' -_8PloMd-w9';
                        rules += ' __Ya9';
                    }
                    rules += ' YmenWad9';
                    if (props.isExiting) rules += ' Xa9';
                    else rules += ' Xd9';
                    rules += ' _2b9';
                    if (props.isExiting) rules += ' _1a9';
                    else rules += ' _1b9';
                    rules += ' _Lf9';
                    rules += ' _Mb9';
                    rules += ' Oj9';
                    return rules;
                })({
                    ...renderProps,
                    size: props1.size
                })
        })
    });
});


//# sourceMappingURL=Modal.cjs.map
