import "./Modal.css";
import {ColorSchemeContext as $9affbfa4e13b9582$export$374e0245597d19a3} from "./Provider.mjs";
import {jsx as $fdAcL$jsx} from "react/jsx-runtime";
import {forwardRef as $fdAcL$forwardRef, useContext as $fdAcL$useContext, useCallback as $fdAcL$useCallback} from "react";
import {useLocale as $fdAcL$useLocale, ModalOverlay as $fdAcL$ModalOverlay, Modal as $fdAcL$Modal} from "react-aria-components";
import {useDOMRef as $fdAcL$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 




const $c46d159bd615e407$var$modalOverlayStyles = function anonymous(props) {
    let rules = " ";
    if (props.colorScheme === "dark") rules += ' _pa9';
    else if (props.colorScheme === "light") rules += ' _pb9';
    else if (props.colorScheme === "light dark") rules += ' _pc9';
    else rules += ' _pN79Hzc9';
    rules += ' _Pb9';
    rules += ' Wr9';
    rules += ' _lr9';
    rules += ' _Ar9';
    rules += ' _zr9';
    rules += ' _Bb9';
    rules += ' g89';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    if (props.isExiting) rules += ' _Ia9';
    else if (props.isEntering) rules += ' _Ia9';
    rules += ' Yf9';
    if (props.isExiting) rules += ' Xa9';
    else rules += ' Xd9';
    rules += ' _2b9';
    return rules;
};
const $c46d159bd615e407$export$2b77a92f1a5ad772 = /*#__PURE__*/ (0, $fdAcL$forwardRef)(function Modal(props1, ref) {
    let domRef = (0, $fdAcL$useDOMRef)(ref);
    let colorScheme = (0, $fdAcL$useContext)((0, $9affbfa4e13b9582$export$374e0245597d19a3));
    let { locale: locale, direction: direction } = (0, $fdAcL$useLocale)();
    // TODO: should we pass through lang and dir props in RAC?
    let modalRef = (0, $fdAcL$useCallback)((el)=>{
        domRef.current = el;
        if (el) {
            el.lang = locale;
            el.dir = direction;
        }
    }, [
        locale,
        direction,
        domRef
    ]);
    return /*#__PURE__*/ (0, $fdAcL$jsx)((0, $fdAcL$ModalOverlay), {
        ...props1,
        className: (renderProps)=>$c46d159bd615e407$var$modalOverlayStyles({
                ...renderProps,
                colorScheme: colorScheme
            }),
        children: /*#__PURE__*/ (0, $fdAcL$jsx)((0, $fdAcL$Modal), {
            ...props1,
            ref: modalRef,
            className: (renderProps)=>(function anonymous(props) {
                    let rules = " ";
                    rules += ' sd9';
                    rules += ' _ta9';
                    if (props.size === "fullscreenTakeover") rules += ' od9';
                    else rules += ' oe9';
                    if (props.size === "fullscreenTakeover") rules += ' nd9';
                    else rules += ' ne9';
                    if (props.size === "fullscreenTakeover") rules += ' kd9';
                    else rules += ' ke9';
                    if (props.size === "fullscreenTakeover") rules += ' jd9';
                    else rules += ' je9';
                    if (props.size === "fullscreenTakeover") rules += ' Za9';
                    else if (props.size === "fullscreen") rules += ' ZGqsG7b9';
                    else if (props.size === "L") rules += ' Zb4QY49';
                    else if (props.size === "M") rules += ' ZILqIYb9';
                    else if (props.size === "S") rules += ' ZA9';
                    if (props.size === "fullscreenTakeover") rules += ' Fb9';
                    else if (props.size === "fullscreen") rules += ' FGqsG7b9';
                    if (props.size === "fullscreenTakeover") rules += ' Lp9';
                    else if (props.size === "fullscreen") rules += ' Lp9';
                    else rules += ' Lc9';
                    if (props.size === "fullscreenTakeover") rules += ' Ki9';
                    else if (props.size === "fullscreen") rules += ' Ki9';
                    else rules += ' Kc9';
                    rules += ' -Ovbhqd-g_g9';
                    rules += ' gEzkoQe9';
                    if (props.isExiting) rules += ' _Ia9';
                    else if (props.isEntering) rules += ' _Ia9';
                    if (props.isEntering) {
                        rules += ' -_8PloMd-w9';
                        rules += ' __Ya9';
                    }
                    rules += ' YmenWad9';
                    if (props.isExiting) rules += ' Xa9';
                    else rules += ' Xd9';
                    rules += ' _2b9';
                    if (props.isExiting) rules += ' _1a9';
                    else rules += ' _1b9';
                    rules += ' _Lf9';
                    rules += ' _Mb9';
                    rules += ' Oj9';
                    return rules;
                })({
                    ...renderProps,
                    size: props1.size
                })
        })
    });
});


export {$c46d159bd615e407$export$2b77a92f1a5ad772 as Modal};
//# sourceMappingURL=Modal.mjs.map
