import "./Picker.css";
import {centerBaseline as $1f4b04be3f24aae3$export$9d7e2342a7e53afa} from "./CenterBaseline.mjs";
import {checkmark as $13afb0ea5f0ed767$export$292abbf31ed842a, description as $13afb0ea5f0ed767$export$6d59db4903f20f7d, icon as $13afb0ea5f0ed767$export$1ca1ec8b29a4ce27, iconCenterWrapper as $13afb0ea5f0ed767$export$31d1842a0fd736e6, label as $13afb0ea5f0ed767$export$1237798dc640739a, sectionHeading as $13afb0ea5f0ed767$export$300ac6f106ef584d} from "./Menu.mjs";
import $81cf3d4588736e7d$export$2e2bcd8739ae039 from "./Checkmark.mjs";
import $4b69f02ec06b9226$export$2e2bcd8739ae039 from "./Chevron.mjs";
import {Divider as $a2f262fac286a920$export$2e0a83ec2e27ecbb, listbox as $a2f262fac286a920$export$9901d82449b93cea, listboxHeader as $a2f262fac286a920$export$c040ba7a724e8da1, listboxItem as $a2f262fac286a920$export$68265fb354482bae, LOADER_ROW_HEIGHTS as $a2f262fac286a920$export$83379f5245567d78} from "./ComboBox.mjs";
import {FieldErrorIcon as $9afd80978c252040$export$bda0d075e0e342c9, FieldLabel as $9afd80978c252040$export$1acdcf5a973a8414, HelpText as $9afd80978c252040$export$a67c0bc59081311a} from "./Field.mjs";
import {FormContext as $9b916426527cebe7$export$c24727297075ec6a, useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {HeaderContext as $8e847109a6ab556d$export$e0e4026c12a8bdbb, HeadingContext as $8e847109a6ab556d$export$d688439359537581, Text as $8e847109a6ab556d$export$5f1af8db9871e1d6, TextContext as $8e847109a6ab556d$export$9afb8bc826b033ea} from "./Content.mjs";
import {IconContext as $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed} from "../icons/Icon.mjs";
import $c77I5$intlStringsmjs from "./intlStrings.mjs";
import {PopoverBase as $88b746eba92c8d0d$export$fde1b04c590741a3} from "./Popover.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {ProgressCircle as $41ddd91dbbf0c389$export$c79b9d6b4cc92af7} from "./ProgressCircle.mjs";
import {useScale as $859432f3b3573fcb$export$a8d2043b2d807f4d} from "./utils.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $c77I5$jsx, jsxs as $c77I5$jsxs, Fragment as $c77I5$Fragment} from "react/jsx-runtime";
import {UNSTABLE_ListBoxLoadingSentinel as $c77I5$UNSTABLE_ListBoxLoadingSentinel, Collection as $c77I5$Collection, Select as $c77I5$Select, Virtualizer as $c77I5$Virtualizer, ListLayout as $c77I5$ListLayout, Provider as $c77I5$Provider, ListBox as $c77I5$ListBox, Button as $c77I5$Button, SelectValue as $c77I5$SelectValue, ListBoxItem as $c77I5$ListBoxItem, ListBoxSection as $c77I5$ListBoxSection} from "react-aria-components";
import {createHideableComponent as $c77I5$createHideableComponent} from "@react-aria/collections";
import {PressResponder as $c77I5$PressResponder} from "@react-aria/interactions";
import {createContext as $c77I5$createContext, forwardRef as $c77I5$forwardRef, useContext as $c77I5$useContext, useMemo as $c77I5$useMemo, useState as $c77I5$useState, useRef as $c77I5$useRef} from "react";
import {useFocusableRef as $c77I5$useFocusableRef} from "@react-spectrum/utils";
import {useSlotId as $c77I5$useSlotId, useGlobalListeners as $c77I5$useGlobalListeners} from "@react-aria/utils";
import {useLocalizedStringFormatter as $c77I5$useLocalizedStringFormatter} from "@react-aria/i18n";


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






















const $b41c15d27fbaff7d$export$b72b8dade9393cd5 = /*#__PURE__*/ (0, $c77I5$createContext)(null);
const $b41c15d27fbaff7d$var$inputButton = function anonymous(props) {
    let rules = " ";
    if (props.isQuiet) rules += ' _Le9';
    else if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) rules += ' pp9';
    else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _oa9';
    rules += ' SMBFGYc9';
    rules += ' RfBFGYc9';
    if (props.size === "XL") rules += ' Nl9';
    else if (props.size === "L") rules += ' Nj9';
    else if (props.size === "S") rules += ' Nf9';
    else if (props.size === "XS") rules += ' Ne9';
    else rules += ' Nk9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' qc9';
    rules += ' qsd9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' FRuFGYc9';
    rules += ' zXcEWr9';
    rules += ' yXcEWr9';
    rules += ' BXcEWr9';
    rules += ' AXcEWr9';
    if (props.isQuiet) rules += ' _qd9';
    else rules += ' _qtb9';
    if (props.size === "XL") rules += ' -Anxdcc-Zt9';
    else if (props.size === "L") rules += ' -Anxdcc-ZStdtne9';
    else if (props.size === "S") rules += ' -Anxdcc-Zr9';
    else rules += ' -Anxdcc-Z3fn9H9';
    rules += ' __v6TNLWb9';
    rules += ' _Pc9';
    rules += ' _Wd9';
    rules += ' _je9';
    rules += ' _jlf9';
    if (props.isDisabled) rules += ' ilc9';
    else rules += ' ilb9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isQuiet) rules += ' g99';
    else if (props.isDisabled) rules += ' gH9';
    else if (props.isOpen) rules += ' gF9';
    else {
        if (props.isPressed) rules += ' gF9';
        else if (props.isFocusVisible) rules += ' gF9';
        else if (props.isHovered) rules += ' gF9';
        else rules += ' gH9';
    }
    if (props.isQuiet) rules += ' Ln9';
    rules += ' __ca9';
    if (props.size === "XL") rules += ' -F_-Fz9';
    else if (props.size === "L") rules += ' -F_-Fv9';
    else if (props.size === "S") rules += ' -F_-Fp9';
    else if (props.size === "XS") rules += ' -F_-Fn9';
    else rules += ' -F_-Fx9';
    if (props.isQuiet) rules += ' -S_-Sd9';
    else rules += ' -S_-Sv9';
    if (props.isQuiet) rules += ' -R_-Rd9';
    else rules += ' -R_-Rv9';
    return rules;
};
const $b41c15d27fbaff7d$var$quietFocusLine = " Za9 FLvNfn9 _Pa9 _lr9 og9 ng9 kg9 jg9 g_h9 gle9";
let $b41c15d27fbaff7d$export$b1e5508a851be14d = function anonymous(props) {
    let rules = " ";
    rules += ' _Le9';
    rules += ' se9';
    rules += ' Za9';
    if (props.size === "XL") rules += ' Dk92HIe9';
    else if (props.size === "L") rules += ' DyaX9Fb9';
    else if (props.size === "M") rules += ' Deb5jcb9';
    else if (props.size === "S") rules += ' DGTLJAe9';
    rules += ' _oa9';
    rules += ' K40ub4c9';
    rules += ' _Na9';
    rules += ' Pa9';
    rules += ' Tt9';
    rules += ' Qt9';
    rules += ' St9';
    rules += ' Rt9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' __ya9';
    return rules;
};
const $b41c15d27fbaff7d$var$invalidBorder = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' _Pa9';
    rules += ' Wr9';
    rules += ' _Er9';
    rules += ' _lr9';
    rules += ' _Rr9';
    rules += ' _Ob9';
    rules += ' _jf9';
    rules += ' _kc9';
    rules += ' hc9';
    rules += ' mc9';
    rules += ' lc9';
    if (props.isPressed) rules += ' im9';
    else if (props.isFocusVisible) rules += ' im9';
    else if (props.isHovered) rules += ' im9';
    else rules += ' ip9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    return rules;
};
const $b41c15d27fbaff7d$var$valueStyles = function anonymous(props) {
    let rules = " ";
    if (props.isQuiet) rules += ' _ua9';
    else rules += ' _ub9';
    rules += ' _Nc9';
    rules += ' Pc9';
    rules += ' _Yb9';
    rules += ' _7c9';
    rules += ' sd9';
    rules += ' eb9';
    return rules;
};
const $b41c15d27fbaff7d$var$iconStyles = function anonymous(props) {
    let rules = " ";
    rules += ' _va9';
    rules += ' _Sd9';
    rules += ' -_8sjo0b-t5ZbAob9';
    if (props.isLoading) rules += ' pp9';
    return rules;
};
const $b41c15d27fbaff7d$var$loadingWrapperStyles = " z2mU9 yzZKy9 sd9 eb9 _Ca9 Jv9 Gv9";
const $b41c15d27fbaff7d$var$progressCircleStyles = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") rules += ' Zp9';
    else if (props.size === "L") rules += ' Zn9';
    else if (props.size === "M") rules += ' Zm9';
    else if (props.size === "S") rules += ' Zu9';
    if (props.size === "XL") rules += ' Fq9';
    else if (props.size === "L") rules += ' Fo9';
    else if (props.size === "M") rules += ' Fn9';
    else if (props.size === "S") rules += ' Ft9';
    return rules;
};
let $b41c15d27fbaff7d$var$InternalPickerContext = /*#__PURE__*/ (0, $c77I5$createContext)({
    size: 'M'
});
let $b41c15d27fbaff7d$var$InsideSelectValueContext = /*#__PURE__*/ (0, $c77I5$createContext)(false);
const $b41c15d27fbaff7d$export$ba25329847403e11 = /*#__PURE__*/ (0, $c77I5$forwardRef)(function Picker(props1, ref) {
    let stringFormatter = (0, $c77I5$useLocalizedStringFormatter)((0, ($parcel$interopDefault($c77I5$intlStringsmjs))), '@react-spectrum/s2');
    [props1, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props1, ref, $b41c15d27fbaff7d$export$b72b8dade9393cd5);
    let domRef = (0, $c77I5$useFocusableRef)(ref);
    let formContext = (0, $c77I5$useContext)((0, $9b916426527cebe7$export$c24727297075ec6a));
    props1 = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props1);
    let { direction: direction = 'bottom', align: align = 'start', shouldFlip: shouldFlip = true, menuWidth: menuWidth, label: label, description: descriptionMessage, errorMessage: errorMessage, children: children, items: items, size: size = 'M', labelPosition: labelPosition = 'top', labelAlign: labelAlign = 'start', necessityIndicator: necessityIndicator, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, placeholder: placeholder = stringFormatter.format('picker.placeholder'), isQuiet: isQuiet, loadingState: loadingState, onLoadMore: onLoadMore, ...pickerProps } = props1;
    // Better way to encode this into a style? need to account for flipping
    let menuOffset;
    if (size === 'S') menuOffset = 6;
    else if (size === 'M') menuOffset = 6;
    else if (size === 'L') menuOffset = 7;
    else menuOffset = 8;
    let renderer;
    let showButtonSpinner = (0, $c77I5$useMemo)(()=>loadingState === 'loading', [
        loadingState
    ]);
    let spinnerId = (0, $c77I5$useSlotId)([
        showButtonSpinner
    ]);
    let listBoxLoadingCircle = /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$UNSTABLE_ListBoxLoadingSentinel), {
        className: $b41c15d27fbaff7d$var$loadingWrapperStyles,
        isLoading: loadingState === 'loadingMore',
        onLoadMore: onLoadMore,
        children: /*#__PURE__*/ (0, $c77I5$jsx)($b41c15d27fbaff7d$var$PickerProgressCircle, {
            size: size,
            "aria-label": stringFormatter.format('table.loadingMore')
        })
    });
    if (typeof children === 'function' && items) renderer = /*#__PURE__*/ (0, $c77I5$jsxs)((0, $c77I5$Fragment), {
        children: [
            /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Collection), {
                items: items,
                children: children
            }),
            listBoxLoadingCircle
        ]
    });
    else renderer = /*#__PURE__*/ (0, $c77I5$jsxs)((0, $c77I5$Fragment), {
        children: [
            children,
            listBoxLoadingCircle
        ]
    });
    let scale = (0, $859432f3b3573fcb$export$a8d2043b2d807f4d)();
    return /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Select), {
        ...pickerProps,
        "aria-describedby": spinnerId,
        placeholder: placeholder,
        style: UNSAFE_style,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            let gridColumnStart = false;
            let gridColumnEnd = false;
            let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
            for (let p of matches){
                if (p[1] === "z") gridColumnStart = true;
                if (p[1] === "y") gridColumnEnd = true;
                rules += p[0];
            }
            rules += ' se9';
            if (props.isInForm) {
                if (!gridColumnStart) rules += ' z2mU9';
            }
            if (props.isInForm) {
                if (props.labelPosition === "side") {
                    if (!gridColumnEnd) rules += ' yvoofG9';
                }
            }
            if (props.isInForm) rules += ' DLwlgod9';
            else {
                if (props.labelPosition === "side") rules += ' DPlN5qb9';
                else if (props.labelPosition === "top") rules += ' DM8Mfn9';
            }
            if (props.labelPosition === "side") rules += ' EPlN5qb9';
            else if (props.labelPosition === "top") rules += ' E4w1sLc9';
            if (props.labelPosition === "side") rules += ' CbRM95c9';
            else if (props.labelPosition === "top") rules += ' Cxaocre9';
            if (props.size === "XL") {
                rules += ' vg9';
                rules += ' vsj9';
            } else if (props.size === "L") {
                rules += ' vp9';
                rules += ' vsh9';
            } else if (props.size === "S") {
                rules += ' vb9';
                rules += ' vse9';
            } else if (props.size === "XS") {
                rules += ' va9';
                rules += ' vsc9';
            } else {
                rules += ' vd9';
                rules += ' vsf9';
            }
            rules += ' ea9';
            rules += ' _Fa9';
            rules += ' _Ffb9';
            if (props.size === "XL") rules += ' -BhX7R-Fz9';
            else if (props.size === "L") rules += ' -BhX7R-Fv9';
            else if (props.size === "S") rules += ' -BhX7R-Fp9';
            else if (props.size === "XS") rules += ' -BhX7R-Fn9';
            else rules += ' -BhX7R-Fx9';
            rules += ' -AJjOLd-UVkF0Db9';
            rules += ' qg9';
            rules += ' __ca9';
            return rules;
        }({
            isInForm: !!formContext,
            labelPosition: labelPosition,
            size: size
        }, props1.styles),
        children: ({ isDisabled: isDisabled, isOpen: isOpen, isFocusVisible: isFocusVisible, isInvalid: isInvalid, isRequired: isRequired })=>/*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Fragment), {
                children: /*#__PURE__*/ (0, $c77I5$jsxs)($b41c15d27fbaff7d$var$InternalPickerContext.Provider, {
                    value: {
                        size: size
                    },
                    children: [
                        /*#__PURE__*/ (0, $c77I5$jsx)((0, $9afd80978c252040$export$1acdcf5a973a8414), {
                            isDisabled: isDisabled,
                            isRequired: isRequired,
                            size: size,
                            labelPosition: labelPosition,
                            labelAlign: labelAlign,
                            isQuiet: isQuiet,
                            necessityIndicator: necessityIndicator,
                            contextualHelp: props1.contextualHelp,
                            children: label
                        }),
                        /*#__PURE__*/ (0, $c77I5$jsx)($b41c15d27fbaff7d$var$PickerButton, {
                            loadingState: loadingState,
                            isOpen: isOpen,
                            isQuiet: isQuiet,
                            isFocusVisible: isFocusVisible,
                            size: size,
                            isInvalid: isInvalid,
                            isDisabled: isDisabled,
                            buttonRef: domRef,
                            loadingCircle: /*#__PURE__*/ (0, $c77I5$jsx)($b41c15d27fbaff7d$var$PickerProgressCircle, {
                                id: spinnerId,
                                size: size,
                                "aria-label": stringFormatter.format('table.loading')
                            })
                        }),
                        /*#__PURE__*/ (0, $c77I5$jsx)((0, $9afd80978c252040$export$a67c0bc59081311a), {
                            size: size,
                            isDisabled: isDisabled,
                            isInvalid: isInvalid,
                            description: descriptionMessage,
                            children: errorMessage
                        }),
                        /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Virtualizer), {
                            layout: (0, $c77I5$ListLayout),
                            layoutOptions: {
                                estimatedRowHeight: 32,
                                estimatedHeadingHeight: 50,
                                padding: 8,
                                loaderHeight: (0, $a2f262fac286a920$export$83379f5245567d78)[size][scale]
                            },
                            children: /*#__PURE__*/ (0, $c77I5$jsx)((0, $88b746eba92c8d0d$export$fde1b04c590741a3), {
                                hideArrow: true,
                                offset: menuOffset,
                                placement: `${direction} ${align}`,
                                shouldFlip: shouldFlip,
                                UNSAFE_style: {
                                    width: menuWidth && !isQuiet ? `${menuWidth}px` : undefined
                                },
                                styles: function anonymous(props) {
                                    let rules = " ";
                                    rules += ' IswFGYc9';
                                    if (props.isQuiet) rules += ' Nh9';
                                    else rules += ' NuHSBze9';
                                    if (props.isQuiet) rules += ' ZkFlLfe9';
                                    else rules += ' ZuHSBze9';
                                    if (props.isQuiet) rules += ' -I_-Id9';
                                    return rules;
                                }(props1),
                                children: /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Provider), {
                                    values: [
                                        [
                                            (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                            {
                                                styles: (0, $a2f262fac286a920$export$c040ba7a724e8da1)({
                                                    size: size
                                                })
                                            }
                                        ],
                                        [
                                            (0, $8e847109a6ab556d$export$d688439359537581),
                                            {
                                                // @ts-ignore
                                                role: 'presentation',
                                                styles: (0, $13afb0ea5f0ed767$export$300ac6f106ef584d)
                                            }
                                        ],
                                        [
                                            (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                                            {
                                                slots: {
                                                    description: {
                                                        styles: (0, $13afb0ea5f0ed767$export$6d59db4903f20f7d)({
                                                            size: size
                                                        })
                                                    }
                                                }
                                            }
                                        ]
                                    ],
                                    children: /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$ListBox), {
                                        items: items,
                                        className: (0, $a2f262fac286a920$export$9901d82449b93cea)({
                                            size: size
                                        }),
                                        children: renderer
                                    })
                                })
                            })
                        })
                    ]
                })
            })
    });
});
function $b41c15d27fbaff7d$var$PickerProgressCircle(props) {
    let { id: id, size: size, 'aria-label': ariaLabel } = props;
    return /*#__PURE__*/ (0, $c77I5$jsx)((0, $41ddd91dbbf0c389$export$c79b9d6b4cc92af7), {
        id: id,
        isIndeterminate: true,
        size: "S",
        "aria-label": ariaLabel,
        styles: $b41c15d27fbaff7d$var$progressCircleStyles({
            size: size
        })
    });
}
// Needs to be hidable component or otherwise the PressResponder throws a warning when rendered in the fake DOM and tries to register
const $b41c15d27fbaff7d$var$PickerButton = (0, $c77I5$createHideableComponent)(function PickerButton(props) {
    let { isOpen: isOpen, isQuiet: isQuiet, isFocusVisible: isFocusVisible, size: size, isInvalid: isInvalid, isDisabled: isDisabled, loadingState: loadingState, loadingCircle: loadingCircle, buttonRef: buttonRef } = props;
    // For mouse interactions, pickers open on press start. When the popover underlay appears
    // it covers the trigger button, causing onPressEnd to fire immediately and no press scaling
    // to occur. We override this by listening for pointerup on the document ourselves.
    let [isPressed, setPressed] = (0, $c77I5$useState)(false);
    let { addGlobalListener: addGlobalListener } = (0, $c77I5$useGlobalListeners)();
    let onPressStart = (e)=>{
        if (e.pointerType !== 'mouse') return;
        setPressed(true);
        addGlobalListener(document, 'pointerup', ()=>{
            setPressed(false);
        }, {
            once: true,
            capture: true
        });
    };
    return /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$PressResponder), {
        onPressStart: onPressStart,
        isPressed: isPressed,
        children: /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Button), {
            ref: buttonRef,
            style: (renderProps)=>(0, $10ea7662e51a285b$export$56e8cba416805d8d)(buttonRef)(renderProps),
            // Prevent press scale from sticking while Picker is open.
            // @ts-ignore
            isPressed: false,
            className: (renderProps)=>$b41c15d27fbaff7d$var$inputButton({
                    ...renderProps,
                    size: size,
                    isOpen: isOpen,
                    isQuiet: isQuiet
                }),
            children: (renderProps)=>/*#__PURE__*/ (0, $c77I5$jsxs)((0, $c77I5$Fragment), {
                    children: [
                        /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$SelectValue), {
                            className: $b41c15d27fbaff7d$var$valueStyles({
                                isQuiet: isQuiet
                            }) + ' ' + "WzII9b",
                            children: ({ defaultChildren: defaultChildren })=>{
                                return /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$Provider), {
                                    values: [
                                        [
                                            (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                                            {
                                                slots: {
                                                    icon: {
                                                        render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                                                            slot: 'icon',
                                                            styles: (0, $13afb0ea5f0ed767$export$31d1842a0fd736e6)
                                                        }),
                                                        styles: (0, $13afb0ea5f0ed767$export$1ca1ec8b29a4ce27)
                                                    }
                                                }
                                            }
                                        ],
                                        [
                                            (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                                            {
                                                slots: {
                                                    description: {},
                                                    label: {
                                                        styles: " sb9 _ub9 _Nc9 Pc9 _Yb9 _7c9"
                                                    }
                                                }
                                            }
                                        ],
                                        [
                                            $b41c15d27fbaff7d$var$InsideSelectValueContext,
                                            true
                                        ]
                                    ],
                                    children: defaultChildren
                                });
                            }
                        }),
                        isInvalid && /*#__PURE__*/ (0, $c77I5$jsx)((0, $9afd80978c252040$export$bda0d075e0e342c9), {
                            isDisabled: isDisabled
                        }),
                        loadingState === 'loading' && !isOpen && loadingCircle,
                        /*#__PURE__*/ (0, $c77I5$jsx)((0, $4b69f02ec06b9226$export$2e2bcd8739ae039), {
                            size: size,
                            className: $b41c15d27fbaff7d$var$iconStyles({
                                isLoading: loadingState === 'loading'
                            })
                        }),
                        isFocusVisible && isQuiet && /*#__PURE__*/ (0, $c77I5$jsx)("span", {
                            className: $b41c15d27fbaff7d$var$quietFocusLine
                        }),
                        isInvalid && !isDisabled && !isQuiet && // @ts-ignore known limitation detecting functions from the theme
                        /*#__PURE__*/ (0, $c77I5$jsx)("div", {
                            className: $b41c15d27fbaff7d$var$invalidBorder({
                                ...renderProps,
                                size: size
                            })
                        })
                    ]
                })
        })
    });
});
const $b41c15d27fbaff7d$var$checkmarkIconSize = {
    S: 'XS',
    M: 'M',
    L: 'L',
    XL: 'XL'
};
function $b41c15d27fbaff7d$export$d601881f38163e28(props) {
    let ref = (0, $c77I5$useRef)(null);
    let isLink = props.href != null;
    let { size: size } = (0, $c77I5$useContext)($b41c15d27fbaff7d$var$InternalPickerContext);
    return /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$ListBoxItem), {
        ...props,
        ref: ref,
        textValue: props.textValue || (typeof props.children === 'string' ? props.children : undefined),
        style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(ref, props.UNSAFE_style),
        className: (renderProps)=>(props.UNSAFE_className || '') + (0, $a2f262fac286a920$export$68265fb354482bae)({
                ...renderProps,
                size: size,
                isLink: isLink
            }, props.styles),
        children: (renderProps)=>{
            let { children: children } = props;
            return /*#__PURE__*/ (0, $c77I5$jsx)($b41c15d27fbaff7d$var$DefaultProvider, {
                context: (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                value: {
                    slots: {
                        icon: {
                            render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                                slot: 'icon',
                                styles: (0, $13afb0ea5f0ed767$export$31d1842a0fd736e6)
                            }),
                            styles: (0, $13afb0ea5f0ed767$export$1ca1ec8b29a4ce27)
                        }
                    }
                },
                children: /*#__PURE__*/ (0, $c77I5$jsxs)($b41c15d27fbaff7d$var$DefaultProvider, {
                    context: (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                    value: {
                        slots: {
                            label: {
                                styles: (0, $13afb0ea5f0ed767$export$1237798dc640739a)({
                                    size: size
                                })
                            },
                            description: {
                                styles: (0, $13afb0ea5f0ed767$export$6d59db4903f20f7d)({
                                    ...renderProps,
                                    size: size
                                })
                            }
                        }
                    },
                    children: [
                        !isLink && /*#__PURE__*/ (0, $c77I5$jsx)((0, $81cf3d4588736e7d$export$2e2bcd8739ae039), {
                            size: $b41c15d27fbaff7d$var$checkmarkIconSize[size],
                            className: (0, $13afb0ea5f0ed767$export$292abbf31ed842a)({
                                ...renderProps,
                                size: size
                            })
                        }),
                        typeof children === 'string' ? /*#__PURE__*/ (0, $c77I5$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                            slot: "label",
                            children: children
                        }) : children
                    ]
                })
            });
        }
    });
}
// A Context.Provider that only sets a value if not inside SelectValue.
function $b41c15d27fbaff7d$var$DefaultProvider({ context: context, value: value, children: children }) {
    let inSelectValue = (0, $c77I5$useContext)($b41c15d27fbaff7d$var$InsideSelectValueContext);
    if (inSelectValue) return children;
    return /*#__PURE__*/ (0, $c77I5$jsx)(context.Provider, {
        value: value,
        children: children
    });
}
function $b41c15d27fbaff7d$export$a340772aca6155cd(props) {
    let { size: size } = (0, $c77I5$useContext)($b41c15d27fbaff7d$var$InternalPickerContext);
    return /*#__PURE__*/ (0, $c77I5$jsxs)((0, $c77I5$Fragment), {
        children: [
            /*#__PURE__*/ (0, $c77I5$jsx)((0, $c77I5$ListBoxSection), {
                ...props,
                children: props.children
            }),
            /*#__PURE__*/ (0, $c77I5$jsx)((0, $a2f262fac286a920$export$2e0a83ec2e27ecbb), {
                size: size
            })
        ]
    });
}


export {$b41c15d27fbaff7d$export$b72b8dade9393cd5 as PickerContext, $b41c15d27fbaff7d$export$b1e5508a851be14d as menu, $b41c15d27fbaff7d$export$ba25329847403e11 as Picker, $b41c15d27fbaff7d$export$d601881f38163e28 as PickerItem, $b41c15d27fbaff7d$export$a340772aca6155cd as PickerSection};
//# sourceMappingURL=Picker.mjs.map
