import "./ProgressBar.css";
import {FieldLabel as $9afd80978c252040$export$1acdcf5a973a8414} from "./Field.mjs";
import {mergeStyles as $feb886035e0d4633$export$e618dc39ac9ad607} from "../icons/runtime.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $cNVLZ$jsx, jsxs as $cNVLZ$jsxs, Fragment as $cNVLZ$Fragment} from "react/jsx-runtime";
import {ProgressBar as $cNVLZ$ProgressBar} from "react-aria-components";
import {createContext as $cNVLZ$createContext, forwardRef as $cNVLZ$forwardRef} from "react";
import {useDOMRef as $cNVLZ$useDOMRef} from "@react-spectrum/utils";
import {useLocale as $cNVLZ$useLocale} from "@react-aria/i18n";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 







const $b847b7cd294eafba$export$e9f3bf65a26ce129 = /*#__PURE__*/ (0, $cNVLZ$createContext)(null);
const $b847b7cd294eafba$var$indeterminateLTR = "VHPsfc";
const $b847b7cd294eafba$var$indeterminateRTL = "reCXe";
const $b847b7cd294eafba$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let minWidth = false;
    let maxWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "N") minWidth = true;
        if (p[1] === "L") maxWidth = true;
        rules += p[0];
    }
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr9';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s9';
    if (!position) rules += ' _Pc9';
    rules += ' se9';
    if (props.isIndeterminate) {
        if (props.labelPosition === "side") rules += ' DPlN5qb9';
        else if (props.labelPosition === "top") rules += ' DM8Mfn9';
    } else {
        if (props.labelPosition === "side") rules += ' DPlN5qb9';
        else if (props.labelPosition === "top") rules += ' Dxumf9b9';
    }
    if (props.isIndeterminate) {
        if (props.labelPosition === "side") rules += ' C2Yfxtb9';
        else if (props.labelPosition === "top") rules += ' C0J5Chb9';
    } else {
        if (props.labelPosition === "side") rules += ' Cvv4gue9';
        else if (props.labelPosition === "top") rules += ' CC0Gyo9';
    }
    rules += ' ea9';
    rules += ' _Bb9';
    if (!minWidth) rules += ' Nl9';
    if (!maxWidth) rules += ' Lk9';
    if (props.size === "XL") rules += ' -BhX7R-Fz9';
    else if (props.size === "L") rules += ' -BhX7R-Fv9';
    else if (props.size === "S") rules += ' -BhX7R-Fp9';
    else if (props.size === "XS") rules += ' -BhX7R-Fn9';
    else rules += ' -BhX7R-Fx9';
    rules += ' -dTMmze-Fe9';
    rules += ' -AJjOLd-UCwrhQe9';
    rules += ' qg9';
    return rules;
};
const $b847b7cd294eafba$var$valueStyles = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isStaticColor) rules += ' pl9';
    else if (props.isDisabled) rules += ' pp9';
    else rules += ' pv9';
    rules += ' plb9';
    rules += ' ri9';
    rules += ' z8bmXs9';
    rules += ' y8bmXs9';
    rules += ' B8bmXs9';
    rules += ' A8bmXs9';
    return rules;
};
const $b847b7cd294eafba$var$trackStyles = function anonymous(props) {
    let rules = " ";
    rules += ' zMY0fn9';
    rules += ' yMY0fn9';
    rules += ' BMY0fn9';
    rules += ' AMY0fn9';
    if (props.size === "XL") rules += ' Nl9';
    else if (props.size === "L") rules += ' Nj9';
    else if (props.size === "S") rules += ' Nf9';
    else if (props.size === "XS") rules += ' Ne9';
    else rules += ' Nk9';
    if (props.isQuiet) rules += ' _qd9';
    else rules += ' _qtb9';
    if (props.size === "XL") rules += ' -Anxdcc-Zt9';
    else if (props.size === "L") rules += ' -Anxdcc-ZStdtne9';
    else if (props.size === "S") rules += ' -Anxdcc-Zr9';
    else rules += ' -Anxdcc-Z3fn9H9';
    rules += ' __v6TNLWb9';
    rules += ' _Nc9';
    rules += ' Pc9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    if (props.isStaticColor) rules += ' gh9';
    else rules += ' gE9';
    rules += ' glb9';
    rules += ' _Ma9';
    rules += ' _Mlb9';
    rules += ' _Le9';
    rules += ' _Llf9';
    rules += ' Oj9';
    rules += ' Olb9';
    rules += ' _9c9';
    if (props.size === "XL") rules += ' Fj9';
    else if (props.size === "L") rules += ' Fi9';
    else if (props.size === "M") rules += ' Fg9';
    else if (props.size === "S") rules += ' Fe9';
    else rules += ' Fg9';
    return rules;
};
const $b847b7cd294eafba$var$fill = function anonymous(props) {
    let rules = " ";
    rules += ' Fb9';
    rules += ' _je9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    if (props.isStaticColor) rules += ' gj9';
    else rules += ' g29';
    rules += ' glc9';
    if (props.isIndeterminate) rules += ' Za9';
    if (props.isIndeterminate) rules += ' _0e9';
    return rules;
};
const $b847b7cd294eafba$var$indeterminateAnimation = function anonymous(props) {
    let rules = " ";
    if (props.direction === "rtl") rules += ' _g2FRDs9';
    else if (props.direction === "ltr") rules += ' _gXZ1Q4d9';
    rules += ' _ea9';
    rules += ' _hb9';
    rules += ' __ea9';
    rules += ' _8d9';
    rules += ' _Pc9';
    return rules;
};
const $b847b7cd294eafba$export$c17561cb55d4db30 = /*#__PURE__*/ (0, $cNVLZ$forwardRef)(function ProgressBar(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $b847b7cd294eafba$export$e9f3bf65a26ce129);
    let { label: label, size: size = 'M', staticColor: staticColor, isIndeterminate: isIndeterminate, labelPosition: labelPosition = 'top', UNSAFE_style: UNSAFE_style, UNSAFE_className: UNSAFE_className = '' } = props;
    let domRef = (0, $cNVLZ$useDOMRef)(ref);
    let { direction: direction } = (0, $cNVLZ$useLocale)();
    let isStaticColor = !!staticColor;
    return /*#__PURE__*/ (0, $cNVLZ$jsx)((0, $cNVLZ$ProgressBar), {
        ...props,
        ref: domRef,
        style: UNSAFE_style,
        className: UNSAFE_className + $b847b7cd294eafba$var$wrapper({
            ...props,
            size: size,
            labelPosition: labelPosition,
            staticColor: staticColor
        }, props.styles),
        children: ({ percentage: percentage, valueText: valueText })=>/*#__PURE__*/ (0, $cNVLZ$jsxs)((0, $cNVLZ$Fragment), {
                children: [
                    label && /*#__PURE__*/ (0, $cNVLZ$jsx)((0, $9afd80978c252040$export$1acdcf5a973a8414), {
                        size: size,
                        labelAlign: "start",
                        labelPosition: labelPosition,
                        staticColor: staticColor,
                        children: label
                    }),
                    label && !isIndeterminate && /*#__PURE__*/ (0, $cNVLZ$jsx)("span", {
                        className: $b847b7cd294eafba$var$valueStyles({
                            size: size,
                            labelAlign: 'end',
                            isStaticColor: isStaticColor
                        }),
                        children: valueText
                    }),
                    /*#__PURE__*/ (0, $cNVLZ$jsx)("div", {
                        className: $b847b7cd294eafba$var$trackStyles({
                            isStaticColor: isStaticColor,
                            size: size
                        }),
                        children: /*#__PURE__*/ (0, $cNVLZ$jsx)("div", {
                            className: (0, $feb886035e0d4633$export$e618dc39ac9ad607)($b847b7cd294eafba$var$fill({
                                ...props,
                                isStaticColor: isStaticColor
                            }), isIndeterminate ? $b847b7cd294eafba$var$indeterminateAnimation({
                                direction: direction
                            }) : null),
                            style: {
                                width: isIndeterminate ? undefined : percentage + '%'
                            }
                        })
                    })
                ]
            })
    });
});


export {$b847b7cd294eafba$export$e9f3bf65a26ce129 as ProgressBarContext, $b847b7cd294eafba$export$c17561cb55d4db30 as ProgressBar};
//# sourceMappingURL=ProgressBar.mjs.map
