import "./Radio.css";
import {CenterBaseline as $1f4b04be3f24aae3$export$768dac55bb57081d} from "./CenterBaseline.mjs";
import {FormContext as $9b916426527cebe7$export$c24727297075ec6a, useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {jsx as $Ipfg8$jsx, jsxs as $Ipfg8$jsxs, Fragment as $Ipfg8$Fragment} from "react/jsx-runtime";
import {Radio as $Ipfg8$Radio} from "react-aria-components";
import {forwardRef as $Ipfg8$forwardRef, useRef as $Ipfg8$useRef, useContext as $Ipfg8$useContext} from "react";
import {useFocusableRef as $Ipfg8$useFocusableRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $1ae2870af9a200f8$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd9';
    if (!position) rules += ' _Pc9';
    rules += ' qf9';
    rules += ' ea9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) {
        rules += ' pp9';
        rules += ' plc9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' Yc9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr9';
    }
    rules += ' __ca9';
    return rules;
};
const $1ae2870af9a200f8$var$circle = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") rules += ' Zm9';
    else if (props.size === "L") rules += ' Zl9';
    else if (props.size === "S") rules += ' Zk9';
    else rules += ' Zu9';
    rules += ' FRuFGYc9';
    rules += ' _va9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    rules += ' _jf9';
    rules += ' _oa9';
    if (props.isSelected) rules += ' _kUXU7p9';
    else rules += ' _k7m7Gv9';
    if (props.isSelected) rules += ' hUXU7p9';
    else rules += ' h7m7Gv9';
    if (props.isSelected) rules += ' mUXU7p9';
    else rules += ' m7m7Gv9';
    if (props.isSelected) rules += ' lUXU7p9';
    else rules += ' l7m7Gv9';
    rules += ' _yb9';
    rules += ' gX9';
    if (props.isDisabled) {
        rules += ' io9';
        rules += ' ilc9';
    } else if (props.isInvalid) {
        if (props.isPressed) rules += ' im9';
        else if (props.isFocusVisible) rules += ' im9';
        else if (props.isHovered) rules += ' im9';
        else rules += ' ip9';
        rules += ' ile9';
    } else if (props.isSelected) {
        if (props.isEmphasized) {
            if (props.isPressed) rules += ' iu9';
            else if (props.isFocusVisible) rules += ' iu9';
            else if (props.isHovered) rules += ' iu9';
            else rules += ' iw9';
        }
        rules += ' ild9';
    } else {
        if (props.isPressed) rules += ' in9';
        else if (props.isFocusVisible) rules += ' in9';
        else if (props.isHovered) rules += ' in9';
        else rules += ' iv9';
        rules += ' ila9';
    }
    if (props.size === "XL") rules += ' -F_-Fn9';
    else if (props.size === "L") rules += ' -F_-Fm9';
    else if (props.size === "S") rules += ' -F_-Fl9';
    else rules += ' -F_-Ft9';
    return rules;
};
const $1ae2870af9a200f8$export$d7b12c4107be0d61 = /*#__PURE__*/ (0, $Ipfg8$forwardRef)(function Radio(props, ref) {
    let { children: children, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let circleRef = (0, $Ipfg8$useRef)(null);
    let inputRef = (0, $Ipfg8$useRef)(null);
    let domRef = (0, $Ipfg8$useFocusableRef)(ref, inputRef);
    let isInForm = !!(0, $Ipfg8$useContext)((0, $9b916426527cebe7$export$c24727297075ec6a));
    let { size: size = 'M', ...allProps } = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props);
    return /*#__PURE__*/ (0, $Ipfg8$jsx)((0, $Ipfg8$Radio), {
        ...allProps,
        ref: domRef,
        inputRef: inputRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $1ae2870af9a200f8$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: size
            }, allProps.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $Ipfg8$jsxs)((0, $Ipfg8$Fragment), {
                children: [
                    /*#__PURE__*/ (0, $Ipfg8$jsx)((0, $1f4b04be3f24aae3$export$768dac55bb57081d), {
                        children: /*#__PURE__*/ (0, $Ipfg8$jsx)("div", {
                            ref: circleRef,
                            style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(circleRef)(renderProps),
                            className: $1ae2870af9a200f8$var$circle({
                                ...renderProps,
                                isEmphasized: allProps.isEmphasized,
                                isSelected: renderProps.isSelected,
                                size: size
                            })
                        })
                    }),
                    children
                ]
            })
    });
});


export {$1ae2870af9a200f8$export$d7b12c4107be0d61 as Radio};
//# sourceMappingURL=Radio.mjs.map
