require("./TagGroup.css");
var $6e265ff388155b91$exports = require("./ActionButton.cjs");
var $7e7cdbd2b8ae2467$exports = require("../icons/AlertTriangle.cjs");
var $38071d9ce246d4cf$exports = require("./Avatar.cjs");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $4fb579ecc195bd2b$exports = require("./ClearButton.cjs");
var $a0b996a550bb0891$exports = require("./Field.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $053b76ed3d29e13b$exports = require("./Image.cjs");
var $4526404114e78c80$exports = require("./intlStrings.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $chbGa$reactjsxruntime = require("react/jsx-runtime");
var $chbGa$reactariacomponents = require("react-aria-components");
var $chbGa$reactariacollections = require("@react-aria/collections");
var $chbGa$react = require("react");
var $chbGa$reactdom = require("react-dom");
var $chbGa$reactariautils = require("@react-aria/utils");
var $chbGa$reactspectrumutils = require("@react-spectrum/utils");
var $chbGa$reactariai18n = require("@react-aria/i18n");


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}

function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "TagGroupContext", () => $2e3ddd7543f4a901$export$5b07b5dd2cbd96e3);
$parcel$export(module.exports, "TagGroup", () => $2e3ddd7543f4a901$export$67ea30858aaf75e3);
$parcel$export(module.exports, "Tag", () => $2e3ddd7543f4a901$export$3288d34c523a1192);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 




















const $2e3ddd7543f4a901$export$5b07b5dd2cbd96e3 = /*#__PURE__*/ (0, $chbGa$react.createContext)(null);
const $2e3ddd7543f4a901$var$InternalTagGroupContext = /*#__PURE__*/ (0, $chbGa$react.createContext)({});
const $2e3ddd7543f4a901$export$67ea30858aaf75e3 = /*#__PURE__*/ (0, $chbGa$react.forwardRef)(function TagGroup(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $2e3ddd7543f4a901$export$5b07b5dd2cbd96e3);
    props = (0, $bfa4962d90c8af48$exports.useFormProps)(props);
    let { onRemove: onRemove } = props;
    return /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)($2e3ddd7543f4a901$var$InternalTagGroupContext.Provider, {
        value: {
            onRemove: onRemove
        },
        children: /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $chbGa$reactariacollections.CollectionBuilder), {
            content: /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $chbGa$reactariacollections.Collection), {
                ...props
            }),
            children: (collection)=>/*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)($2e3ddd7543f4a901$var$TagGroupInner, {
                    props: props,
                    forwardedRef: ref,
                    collection: collection
                })
        })
    });
});
function $2e3ddd7543f4a901$var$TagGroupInner({ props: { label: label, description: description, labelPosition: labelPosition = 'top', labelAlign: labelAlign = 'start', isEmphasized: isEmphasized, isInvalid: isInvalid, errorMessage: errorMessage, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, size: size = 'M', ...props }, forwardedRef: ref, collection: collection }) {
    let stringFormatter = (0, $chbGa$reactariai18n.useLocalizedStringFormatter)((0, ($parcel$interopDefault($4526404114e78c80$exports))), '@react-spectrum/s2');
    let { maxRows: maxRows, groupActionLabel: groupActionLabel, onGroupAction: onGroupAction, renderEmptyState: renderEmptyState = ()=>stringFormatter.format('tag.noTags'), ...otherProps } = props;
    let { direction: direction } = (0, $chbGa$reactariacomponents.useLocale)();
    let containerRef = (0, $chbGa$react.useRef)(null);
    let tagsRef = (0, $chbGa$react.useRef)(null);
    let actionsRef = (0, $chbGa$react.useRef)(null);
    let hiddenTagsRef = (0, $chbGa$react.useRef)(null);
    let [tagState, setTagState] = (0, $chbGa$react.useState)({
        visibleTagCount: collection.size,
        showCollapseButton: false
    });
    let [isCollapsed, setIsCollapsed] = (0, $chbGa$react.useState)(maxRows != null);
    let { onRemove: onRemove } = (0, $chbGa$react.useContext)($2e3ddd7543f4a901$var$InternalTagGroupContext);
    let isEmpty = collection.size === 0;
    let showCollapseToggleButton = tagState.showCollapseButton || tagState.visibleTagCount < collection.size;
    let formContext = (0, $chbGa$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    let domRef = (0, $chbGa$reactspectrumutils.useDOMRef)(ref);
    let allItems = (0, $chbGa$react.useMemo)(()=>Array.from(collection), [
        collection
    ]);
    let items = (0, $chbGa$react.useMemo)(()=>Array.from(collection).slice(0, !isCollapsed ? collection.size : tagState.visibleTagCount), [
        collection,
        tagState.visibleTagCount,
        isCollapsed
    ]);
    let updateVisibleTagCount = (0, $chbGa$reactariautils.useEffectEvent)(()=>{
        if (maxRows == null) setTagState({
            visibleTagCount: collection.size,
            showCollapseButton: false
        });
        if (maxRows != null && maxRows > 0) {
            let computeVisibleTagCount = ()=>{
                let currContainerRef = hiddenTagsRef.current;
                let currTagsRef = hiddenTagsRef.current;
                let currActionsRef = actionsRef.current;
                if (!currContainerRef || !currTagsRef || collection.size === 0 || currContainerRef.parentElement == null) return {
                    visibleTagCount: 0,
                    showCollapseButton: false
                };
                // Count rows and show tags until we hit the maxRows.
                // I think this is still a safe assumption, and we don't need to queryAll for role=tag
                let tags = [
                    ...currTagsRef.children
                ];
                let currY = -Infinity;
                let rowCount = 0;
                let index = 0;
                let tagWidths = [];
                for (let tag of tags){
                    let { width: width, y: y } = tag.getBoundingClientRect();
                    if (y !== currY) {
                        currY = y;
                        rowCount++;
                    }
                    if (rowCount > maxRows) break;
                    tagWidths.push(width);
                    index++;
                }
                // Remove tags until there is space for the collapse button and action button (if present) on the last row.
                let buttons = currActionsRef ? [
                    ...currActionsRef.children
                ] : [];
                if (buttons.length > 0 && rowCount >= maxRows) {
                    let buttonsWidth = buttons.reduce((acc, curr)=>acc += curr.getBoundingClientRect().width, 0);
                    let margins = parseFloat(getComputedStyle(buttons[0]).marginInlineStart);
                    buttonsWidth += margins * 2;
                    let end = direction === 'ltr' ? 'right' : 'left';
                    let containerEnd = currContainerRef.parentElement?.getBoundingClientRect()[end] - margins;
                    let lastTagEnd = tags[index - 1]?.getBoundingClientRect()[end];
                    lastTagEnd += margins;
                    let availableWidth = containerEnd - lastTagEnd;
                    while(availableWidth <= buttonsWidth && index > 0){
                        let tagWidth = tagWidths.pop();
                        if (tagWidth != null) availableWidth += tagWidth;
                        index--;
                    }
                }
                return {
                    visibleTagCount: Math.max(index, 1),
                    showCollapseButton: index < collection.size
                };
            };
            let result = computeVisibleTagCount();
            (0, $chbGa$reactdom.flushSync)(()=>{
                setTagState(result);
            });
        }
    });
    (0, $chbGa$reactariautils.useResizeObserver)({
        ref: maxRows != null ? containerRef : undefined,
        onResize: updateVisibleTagCount
    });
    (0, $chbGa$reactariautils.useLayoutEffect)(()=>{
        if (collection.size > 0 && maxRows != null && maxRows > 0) queueMicrotask(updateVisibleTagCount);
    }, [
        collection.size,
        updateVisibleTagCount,
        maxRows
    ]);
    (0, $chbGa$react.useEffect)(()=>{
        // Recalculate visible tags when fonts are loaded.
        document.fonts?.ready.then(()=>updateVisibleTagCount());
    // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    let handlePressCollapse = ()=>{
        setIsCollapsed((prevCollapsed)=>!prevCollapsed);
    };
    let helpText = null;
    if (!isInvalid && description) helpText = /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
        slot: "description",
        styles: (0, $a0b996a550bb0891$exports.helpTextStyles)({
            size: size
        }),
        children: description
    });
    else if (isInvalid) helpText = /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsxs)("div", {
        className: (0, $a0b996a550bb0891$exports.helpTextStyles)({
            size: size,
            isInvalid: isInvalid
        }),
        children: [
            /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $e991cbcdf82ced71$exports.CenterBaseline), {
                children: /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $7e7cdbd2b8ae2467$exports.default), {})
            }),
            /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                slot: "errorMessage",
                children: errorMessage
            })
        ]
    });
    return /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsxs)((0, $chbGa$reactariacomponents.TagGroup), {
        ...otherProps,
        ref: domRef,
        style: UNSAFE_style,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            let gridColumnStart = false;
            let gridColumnEnd = false;
            let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
            for (let p of matches){
                if (p[1] === "z") gridColumnStart = true;
                if (p[1] === "y") gridColumnEnd = true;
                rules += p[0];
            }
            rules += ' se9';
            if (props.isInForm) {
                if (!gridColumnStart) rules += ' z2mU9';
            }
            if (props.isInForm) {
                if (props.labelPosition === "side") {
                    if (!gridColumnEnd) rules += ' yvoofG9';
                }
            }
            if (props.isInForm) rules += ' DLwlgod9';
            else {
                if (props.labelPosition === "side") rules += ' DPlN5qb9';
                else if (props.labelPosition === "top") rules += ' DM8Mfn9';
            }
            if (props.labelPosition === "side") rules += ' EPlN5qb9';
            else if (props.labelPosition === "top") rules += ' E4w1sLc9';
            if (props.labelPosition === "side") rules += ' CbRM95c9';
            else if (props.labelPosition === "top") rules += ' Cxaocre9';
            if (props.size === "XL") {
                rules += ' vg9';
                rules += ' vsj9';
            } else if (props.size === "L") {
                rules += ' vp9';
                rules += ' vsh9';
            } else if (props.size === "S") {
                rules += ' vb9';
                rules += ' vse9';
            } else if (props.size === "XS") {
                rules += ' va9';
                rules += ' vsc9';
            } else {
                rules += ' vd9';
                rules += ' vsf9';
            }
            rules += ' ea9';
            rules += ' _Fa9';
            rules += ' _Ffb9';
            if (props.size === "XL") rules += ' -BhX7R-Fz9';
            else if (props.size === "L") rules += ' -BhX7R-Fv9';
            else if (props.size === "S") rules += ' -BhX7R-Fp9';
            else if (props.size === "XS") rules += ' -BhX7R-Fn9';
            else rules += ' -BhX7R-Fx9';
            rules += ' -AJjOLd-UVkF0Db9';
            rules += ' qg9';
            rules += ' __ca9';
            return rules;
        }({
            size: size,
            labelPosition: labelPosition,
            isInForm: !!formContext
        }, props.styles),
        children: [
            /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldLabel), {
                size: size,
                labelPosition: labelPosition,
                labelAlign: labelAlign,
                contextualHelp: props.contextualHelp,
                children: label
            }),
            /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)("div", {
                ref: containerRef,
                className: function anonymous(props) {
                    let rules = " ";
                    rules += ' zXcEWr9';
                    rules += ' yXcEWr9';
                    rules += ' BXcEWr9';
                    rules += ' AXcEWr9';
                    rules += ' Nb9';
                    if (props.isEmpty) rules += ' Iy9';
                    else rules += ' Ib9';
                    if (props.isEmpty) rules += ' Hy9';
                    else rules += ' Hs9';
                    rules += ' _Pc9';
                    return rules;
                }({
                    isEmpty: isEmpty
                }),
                children: /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $bfa4962d90c8af48$exports.FormContext).Provider, {
                    value: {
                        ...formContext,
                        size: size
                    },
                    children: /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsxs)((0, $chbGa$reactariacomponents.Provider), {
                        values: [
                            [
                                (0, $chbGa$reactariacomponents.TextContext),
                                undefined
                            ],
                            [
                                $2e3ddd7543f4a901$export$5b07b5dd2cbd96e3,
                                {
                                    size: size,
                                    isEmphasized: isEmphasized
                                }
                            ]
                        ],
                        children: [
                            maxRows != null && /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)("div", {
                                // @ts-ignore
                                inert: (0, $chbGa$reactariautils.inertValue)(true),
                                ref: hiddenTagsRef,
                                className: " sf9 _wb9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 _Pa9 Wr9 _lr9 _6b9 _Nc9 Pc9 _Ia9",
                                children: allItems.map((item)=>{
                                    // pull off individual props as an allow list, don't want refs or other props getting through
                                    return /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)("div", {
                                        style: item.props.UNSAFE_style,
                                        className: item.props.className({
                                            size: size,
                                            allowsRemoving: Boolean(onRemove)
                                        }),
                                        children: item.props.children({
                                            size: size,
                                            allowsRemoving: Boolean(onRemove),
                                            isInCtx: true
                                        })
                                    }, item.key);
                                })
                            }),
                            /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $chbGa$reactariacomponents.TagList), {
                                ref: tagsRef,
                                items: items,
                                renderEmptyState: renderEmptyState,
                                className: " sf9 Nb9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vd9 vsf9 wb9 xb9 _xa9 _Fa9 _Ffb9 pt9",
                                children: (item)=>/*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)($2e3ddd7543f4a901$export$3288d34c523a1192, {
                                        ...item.props,
                                        id: item.key,
                                        textValue: item.textValue
                                    })
                            }),
                            !isEmpty && (showCollapseToggleButton || groupActionLabel) && /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)($2e3ddd7543f4a901$var$ActionGroup, {
                                collection: collection,
                                "aria-label": props['aria-label'],
                                "aria-labelledby": props['aria-labelledby'],
                                actionsRef: actionsRef,
                                tagState: tagState,
                                size: size,
                                isCollapsed: isCollapsed,
                                handlePressCollapse: handlePressCollapse,
                                onGroupAction: onGroupAction,
                                groupActionLabel: groupActionLabel
                            })
                        ]
                    })
                })
            }),
            helpText
        ]
    });
}
function $2e3ddd7543f4a901$var$ActionGroup(props) {
    let stringFormatter = (0, $chbGa$reactariai18n.useLocalizedStringFormatter)((0, ($parcel$interopDefault($4526404114e78c80$exports))), '@react-spectrum/s2');
    let { actionsRef: actionsRef, tagState: tagState, size: size, isCollapsed: isCollapsed, handlePressCollapse: handlePressCollapse, onGroupAction: onGroupAction, groupActionLabel: groupActionLabel, collection: collection, // directly use aria-labelling from the TagGroup because we can't use the id from the TagList
    // and we can't supply an id to the TagList because it'll cause an issue where all the tag ids flip back
    // and forth with their prefix in an infinite loop
    'aria-label': ariaLabel, 'aria-labelledby': ariaLabelledBy } = props;
    let actionsId = (0, $chbGa$reactariautils.useId)();
    // might need to localize the aria-label which concatenates with this label
    let actionGroupLabel = stringFormatter.format('tag.actions');
    return /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsxs)("div", {
        role: "group",
        ref: actionsRef,
        id: actionsId,
        "aria-label": ariaLabel ? `${ariaLabel} ${actionGroupLabel}` : actionGroupLabel,
        "aria-labelledby": ariaLabelledBy ? ariaLabelledBy : undefined,
        className: " sf9",
        children: [
            tagState.showCollapseButton && /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $6e265ff388155b91$exports.ActionButton), {
                isQuiet: true,
                size: size,
                styles: " Js9 Gs9 Is9 Hs9",
                UNSAFE_style: {
                    display: 'inline-flex'
                },
                onPress: handlePressCollapse,
                children: isCollapsed ? stringFormatter.format('tag.showAllButtonLabel', {
                    tagCount: collection.size
                }) : stringFormatter.format('tag.hideButtonLabel')
            }),
            groupActionLabel && onGroupAction && /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $6e265ff388155b91$exports.ActionButton), {
                isQuiet: true,
                size: size,
                styles: " Js9 Gs9 Is9 Hs9",
                UNSAFE_style: {
                    display: 'inline-flex'
                },
                onPress: ()=>onGroupAction?.(),
                children: groupActionLabel
            })
        ]
    });
}
const $2e3ddd7543f4a901$var$tagStyles = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) rules += ' pp9';
    else if (props.isSelected) {
        if (props.isEmphasized) rules += ' px9';
        else rules += ' pr9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    if (props.isDisabled) rules += ' plc9';
    else if (props.isSelected) rules += ' ple9';
    else rules += ' plb9';
    rules += ' sh9';
    rules += ' eb9';
    rules += ' _oa9';
    rules += ' Sv9';
    rules += ' SgLWx3bd9';
    if (props.allowsRemoving) rules += ' Rd9';
    else rules += ' Rv9';
    if (props.size === "XL") rules += ' Nl9';
    else if (props.size === "L") rules += ' Nj9';
    else if (props.size === "S") rules += ' Nf9';
    else if (props.size === "XS") rules += ' Ne9';
    else rules += ' Nk9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' qc9';
    rules += ' qsd9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' FRuFGYc9';
    rules += ' La9';
    rules += ' _5c9';
    rules += ' _Ca9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isDisabled) rules += ' gH9';
    else if (props.isSelected) {
        if (props.isEmphasized) {
            if (props.isFocused) rules += ' gUgARdd9';
            else if (props.isPressed) rules += ' gUgARdd9';
            else if (props.isHovered) rules += ' gUgARdd9';
            else rules += ' g5qAiPc9';
        } else {
            if (props.isPressed) rules += ' gu9';
            else if (props.isFocusVisible) rules += ' gu9';
            else if (props.isHovered) rules += ' gu9';
            else rules += ' g09';
        }
    } else if (props.isFocusVisible) rules += ' gF9';
    else if (props.isHovered) rules += ' gF9';
    else rules += ' gH9';
    if (props.isSelected) rules += ' gle9';
    else rules += ' glb9';
    rules += ' _je9';
    rules += ' Js9';
    rules += ' Gs9';
    rules += ' Is9';
    rules += ' Hs9';
    if (props.isLink) rules += ' ry9';
    else rules += ' ri9';
    rules += ' -_8sjo0b-t5ZbAob9';
    if (props.size === "XL") rules += ' -F_-Fz9';
    else if (props.size === "L") rules += ' -F_-Fv9';
    else if (props.size === "S") rules += ' -F_-Fp9';
    else if (props.size === "XS") rules += ' -F_-Fn9';
    else rules += ' -F_-Fx9';
    return rules;
};
const $2e3ddd7543f4a901$var$avatarSize = {
    S: 16,
    M: 20,
    L: 24
};
const $2e3ddd7543f4a901$export$3288d34c523a1192 = /*#__PURE__*/ (0, $chbGa$react.forwardRef)(function Tag({ children: children, textValue: textValue, ...props }, ref) {
    textValue ||= typeof children === 'string' ? children : undefined;
    let ctx = (0, $chbGa$reactariacomponents.useSlottedContext)($2e3ddd7543f4a901$export$5b07b5dd2cbd96e3);
    let isInRealDOM = Boolean(ctx?.size);
    let { size: size, isEmphasized: isEmphasized } = ctx ?? {};
    let domRef = (0, $chbGa$reactspectrumutils.useDOMRef)(ref);
    let backupRef = (0, $chbGa$react.useRef)(null);
    domRef = domRef || backupRef;
    let isLink = props.href != null;
    return /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $chbGa$reactariacomponents.Tag), {
        textValue: textValue,
        ...props,
        ref: domRef,
        style: (0, $2061c83559b50a66$exports.pressScale)(domRef),
        className: (renderProps)=>$2e3ddd7543f4a901$var$tagStyles({
                size: size,
                isEmphasized: isEmphasized,
                isLink: isLink,
                ...renderProps
            }),
        children: (0, $chbGa$reactariacomponents.composeRenderProps)(children, (children, renderProps)=>/*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)($2e3ddd7543f4a901$var$TagWrapper, {
                isInRealDOM: isInRealDOM,
                isEmphasized: isEmphasized,
                ...renderProps,
                children: typeof children === 'string' ? /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                    children: children
                }) : children
            }))
    });
});
function $2e3ddd7543f4a901$var$TagWrapper({ children: children, isDisabled: isDisabled, allowsRemoving: allowsRemoving, isInRealDOM: isInRealDOM, isEmphasized: isEmphasized, isSelected: isSelected }) {
    let { size: size = 'M' } = (0, $chbGa$reactariacomponents.useSlottedContext)($2e3ddd7543f4a901$export$5b07b5dd2cbd96e3) ?? {};
    return /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsxs)((0, $chbGa$reactjsxruntime.Fragment), {
        children: [
            isInRealDOM && /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)("div", {
                className: " sd9 Na9 eb9 Uc9 Usd9 qc9 qsd9 _yb9 g99",
                children: /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $chbGa$reactariacomponents.Provider), {
                    values: [
                        [
                            (0, $6367bc87eb7d24ad$exports.TextContext),
                            {
                                styles: " _Jb9 _Nc9 Pc9 _Yb9 _7c9"
                            }
                        ],
                        [
                            (0, $bde97c91243ed164$exports.IconContext),
                            {
                                render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                                    slot: 'icon',
                                    styles: " _Ja9"
                                }),
                                styles: " ZuUmpre9 FuUmpre9 I67logd9 _va9"
                            }
                        ],
                        [
                            (0, $38071d9ce246d4cf$exports.AvatarContext),
                            {
                                size: $2e3ddd7543f4a901$var$avatarSize[size],
                                styles: " _Ja9"
                            }
                        ],
                        [
                            (0, $053b76ed3d29e13b$exports.ImageContext),
                            {
                                styles: " ZuUmpre9 FuUmpre9 _va9 _Ja9 fa9 _Ha9 oa9 na9 ka9 ja9"
                            }
                        ]
                    ],
                    children: children
                })
            }),
            !isInRealDOM && children,
            allowsRemoving && isInRealDOM && /*#__PURE__*/ (0, $chbGa$reactjsxruntime.jsx)((0, $4fb579ecc195bd2b$exports.ClearButton), {
                slot: "remove",
                size: size,
                isStaticColor: isEmphasized && isSelected,
                isDisabled: isDisabled
            })
        ]
    });
}


//# sourceMappingURL=TagGroup.cjs.map
