import "./Tooltip.css";
import {ColorSchemeContext as $9affbfa4e13b9582$export$374e0245597d19a3} from "./Provider.mjs";
import {jsx as $iNhwA$jsx, jsxs as $iNhwA$jsxs, Fragment as $iNhwA$Fragment} from "react/jsx-runtime";
import {useLocale as $iNhwA$useLocale, Tooltip as $iNhwA$Tooltip, OverlayArrow as $iNhwA$OverlayArrow, TooltipTrigger as $iNhwA$TooltipTrigger} from "react-aria-components";
import {createContext as $iNhwA$createContext, forwardRef as $iNhwA$forwardRef, useContext as $iNhwA$useContext, useState as $iNhwA$useState, useCallback as $iNhwA$useCallback} from "react";
import {useDOMRef as $iNhwA$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 




const $4c20647d6e5d8fdf$var$tooltip = function anonymous(props) {
    let rules = " ";
    if (props.colorScheme === "dark") rules += ' _pa9';
    else if (props.colorScheme === "light") rules += ' _pb9';
    else if (props.colorScheme === "light dark") rules += ' _pc9';
    else rules += ' _pN79Hzc9';
    rules += ' _Ca9';
    rules += ' eb9';
    rules += ' Le9';
    rules += ' MAyFGYc9';
    rules += ' _oa9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    rules += ' vb9';
    rules += ' vse9';
    rules += ' wb9';
    rules += ' xb9';
    rules += ' _xa9';
    rules += ' _Fa9';
    rules += ' _Ffb9';
    rules += ' pr9';
    rules += ' plb9';
    rules += ' _kJ8iPYd9';
    rules += ' hXMFGYc9';
    rules += ' mlb9';
    rules += ' llb9';
    rules += ' _jlf9';
    rules += ' ilA9';
    rules += ' g09';
    rules += ' ob9';
    rules += ' nb9';
    rules += ' kb9';
    rules += ' jb9';
    rules += ' Sv9';
    rules += ' Rv9';
    rules += ' Tu7Fubd9';
    rules += ' Qu7Fubd9';
    rules += ' Jv9';
    rules += ' Gv9';
    rules += ' Iv9';
    rules += ' Hv9';
    rules += ' Yd9';
    rules += ' Xc9';
    if (props.isExiting) rules += ' _2c9';
    if (props.placement === "right") {
        if (props.isExiting) {
            rules += ' -_7PloMd-m9';
            rules += ' __Ya9';
        } else if (props.isEntering) {
            rules += ' -_7PloMd-m9';
            rules += ' __Ya9';
        }
    } else if (props.placement === "left") {
        if (props.isExiting) {
            rules += ' -_7PloMd-G9';
            rules += ' __Ya9';
        } else if (props.isEntering) {
            rules += ' -_7PloMd-G9';
            rules += ' __Ya9';
        }
    }
    if (props.placement === "bottom") {
        if (props.isExiting) {
            rules += ' -_8PloMd-l9';
            rules += ' __Ya9';
        } else if (props.isEntering) {
            rules += ' -_8PloMd-l9';
            rules += ' __Ya9';
        }
    } else if (props.placement === "top") {
        if (props.isExiting) {
            rules += ' -_8PloMd-F9';
            rules += ' __Ya9';
        } else if (props.isEntering) {
            rules += ' -_8PloMd-F9';
            rules += ' __Ya9';
        }
    }
    if (props.isExiting) rules += ' _Ia9';
    else if (props.isEntering) rules += ' _Ia9';
    rules += ' -M_-Mg9';
    rules += ' -_k_-l_kb9';
    rules += ' -h_-lhb9';
    return rules;
};
const $4c20647d6e5d8fdf$var$arrowStyles = function anonymous(props) {
    let rules = " ";
    rules += ' sb9';
    rules += ' tr9';
    rules += ' Zi9';
    rules += ' Ff9';
    if (props.placement === "right") rules += ' _Sd9';
    else if (props.placement === "left") rules += ' _Sa9';
    else if (props.placement === "bottom") rules += ' _Sc9';
    else if (props.placement === "top") rules += ' _Sb9';
    if (props.placement === "right") {
        rules += ' -_7PloMd-y9';
        rules += ' __Ya9';
    } else if (props.placement === "left") {
        rules += ' -_7PloMd-e9';
        rules += ' __Ya9';
    }
    return rules;
};
let $4c20647d6e5d8fdf$var$InternalTooltipTriggerContext = /*#__PURE__*/ (0, $iNhwA$createContext)({});
const $4c20647d6e5d8fdf$export$28c660c63b792dea = /*#__PURE__*/ (0, $iNhwA$forwardRef)(function Tooltip(props, ref) {
    let { children: children, UNSAFE_style: UNSAFE_style, UNSAFE_className: UNSAFE_className = '' } = props;
    let domRef = (0, $iNhwA$useDOMRef)(ref);
    let { containerPadding: containerPadding, crossOffset: crossOffset, offset: offset, placement: placement = 'top', shouldFlip: shouldFlip } = (0, $iNhwA$useContext)($4c20647d6e5d8fdf$var$InternalTooltipTriggerContext);
    let colorScheme = (0, $iNhwA$useContext)((0, $9affbfa4e13b9582$export$374e0245597d19a3));
    let { locale: locale, direction: direction } = (0, $iNhwA$useLocale)();
    let [borderRadius, setBorderRadius] = (0, $iNhwA$useState)(0);
    // TODO: should we pass through lang and dir props in RAC?
    let tooltipRef = (0, $iNhwA$useCallback)((el)=>{
        domRef.current = el;
        if (el) {
            el.lang = locale;
            el.dir = direction;
            let spectrumBorderRadius = typeof window !== 'undefined' ? window.getComputedStyle(el).borderRadius : '';
            if (spectrumBorderRadius !== '') setBorderRadius(parseInt(spectrumBorderRadius, 10));
        }
    }, [
        locale,
        direction,
        domRef
    ]);
    return /*#__PURE__*/ (0, $iNhwA$jsx)((0, $iNhwA$Tooltip), {
        ...props,
        arrowBoundaryOffset: borderRadius,
        containerPadding: containerPadding,
        crossOffset: crossOffset,
        offset: offset,
        placement: placement,
        shouldFlip: shouldFlip,
        ref: tooltipRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $4c20647d6e5d8fdf$var$tooltip({
                ...renderProps,
                colorScheme: colorScheme
            }),
        children: (renderProps)=>/*#__PURE__*/ (0, $iNhwA$jsxs)((0, $iNhwA$Fragment), {
                children: [
                    /*#__PURE__*/ (0, $iNhwA$jsx)((0, $iNhwA$OverlayArrow), {
                        children: /*#__PURE__*/ (0, $iNhwA$jsx)("svg", {
                            className: $4c20647d6e5d8fdf$var$arrowStyles(renderProps),
                            xmlns: "http://www.w3.org/2000/svg",
                            viewBox: "0 0 10 5",
                            children: /*#__PURE__*/ (0, $iNhwA$jsx)("path", {
                                d: "M4.29289 4.29289L0 0H10L5.70711 4.29289C5.31658 4.68342 4.68342 4.68342 4.29289 4.29289Z"
                            })
                        })
                    }),
                    children
                ]
            })
    });
});
function $4c20647d6e5d8fdf$export$8c610744efcf8a1d(props) {
    let { containerPadding: containerPadding, crossOffset: crossOffset, offset: offset, placement: placement, shouldFlip: shouldFlip, ...triggerProps } = props;
    return /*#__PURE__*/ (0, $iNhwA$jsx)((0, $iNhwA$TooltipTrigger), {
        ...triggerProps,
        children: /*#__PURE__*/ (0, $iNhwA$jsx)($4c20647d6e5d8fdf$var$InternalTooltipTriggerContext.Provider, {
            value: {
                containerPadding: containerPadding,
                crossOffset: crossOffset,
                offset: offset,
                placement: placement,
                shouldFlip: shouldFlip
            },
            children: props.children
        })
    });
}
function $4c20647d6e5d8fdf$export$92ee03cda75aac2b(props) {
    return /*#__PURE__*/ (0, $iNhwA$jsx)("div", {});
}


export {$4c20647d6e5d8fdf$export$28c660c63b792dea as Tooltip, $4c20647d6e5d8fdf$export$8c610744efcf8a1d as TooltipTrigger, $4c20647d6e5d8fdf$export$92ee03cda75aac2b as CombinedTooltip};
//# sourceMappingURL=Tooltip.mjs.map
